<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Miembro extends Model
{
    use HasFactory;

    // Definir la tabla asociada (si no sigue la convención de nombres)
    protected $table = 'miembros';

    // Definir los campos asignables en masa
    protected $fillable = ['nombre', 'apellidos', 
    'carnet', 'telefono', 'correo', 'direccion', 
    'fecha_de_nacimiento', 'estado','iglesia_id',
'complemento', 
    'extension'];


    public function iglesia()
    {
        return $this->belongsTo(Iglesia::class);
    }
    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function certificados()
    {
        return $this->hasMany(Certificado::class, 'miembro_id');
    }
    public function certificadosComoSenor()
    {
        return $this->hasMany(Certificado::class, 'miembro_senor_id');
    }

    // Relación con los certificados de matrimonio donde el miembro es la señora
    public function certificadosComoSenora()
    {
        return $this->hasMany(Certificado::class, 'miembro_senora_id');
    }

}


