<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMiembrosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('miembros', function (Blueprint $table) {
            $table->id();
            $table->string('nombre');
            $table->string('apellidos');
            $table->string('carnet')->unique();
            $table->string('complemento')->nullable(); // Nuevo campo para complemento
            $table->string('extension'); // Nuevo campo para extensión
            $table->string('telefono')->nullable();
            $table->string('correo')->unique()->nullable();
            $table->string('direccion')->nullable();
            $table->date('fecha_de_nacimiento');
            $table->unsignedBigInteger('iglesia_id')->nullable();
            $table->foreign('iglesia_id')->references('id')->on('iglesias')->onDelete('set null');
            $table->boolean('estado')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('miembros');
    }
}
