@extends('layouts.app')

@section('content')

    <div class="section-header">
        <h3 class="page__heading text-center" style="font-size: 24px; color: #ffffff;">Imagen de QR</h3>
    </div>
 <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <!-- Botón de agregar QR con icono -->
    <a href="{{ route('QR.create') }}" class="btn btn-primary mb-3">
        <i class="fas fa-plus-circle"></i> <!-- Icono de agregar -->
    </a>

    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-striped table-hover mt-2">
                    <thead style="background-color: #4b55ec">
                        <tr>
                            <th style="color:#ffffff; text-align: center;">Fecha</th>
                            <th style="color:#ffffff; text-align: center;">Fecha Vencimiento</th>
                            <th style="color:#ffffff; text-align: center;">Foto</th>
                            <th style="color:#ffffff; text-align: center;">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($QR as $Q)
                            @if($Q->estado == 1)
                                <tr>
                                    <td class="text-center">{{ \Carbon\Carbon::parse($Q->fecha)->format('d/m/Y') }}</td>
                                    <td class="text-center">{{ \Carbon\Carbon::parse($Q->fechav)->format('d/m/Y') }}</td>
                                    <td class="text-center">
                                        @if($Q->fotoqr)
                                            <img src="{{ asset('storage/' . $Q->fotoqr) }}" alt="Foto QR" class="img-thumbnail" style="max-width: 100px;">
                                        @else
                                            <span class="text-muted">No disponible</span>
                                        @endif
                                    </td>
                                    <td class="text-center">
                                        <!-- Botón de editar -->
                                        <a href="{{ route('QR.edit', $Q->id) }}" class="btn btn-sm btn-warning">
                                            <i class="fas fa-edit"></i> <!-- Icono de edición -->
                                        </a>
                                        <!-- Botón de eliminar -->
                                        <form action="{{ route('QR.destroy', $Q->id) }}" method="POST" class="d-inline">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('¿Estás seguro de querer eliminar este QR?')">
                                                <i class="fas fa-trash-alt"></i> <!-- Icono de eliminar -->
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            @endif
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
 </div>
      </div>
       </div> 
       </div> 
       </div>

@endsection
