@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Certificado de Consagración</h3>
      <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <form action="{{ route('certificados.update', $certificado->id) }}" method="POST">
        @csrf
        @method('PUT')

        <input type="hidden" name="tipo" value="consagracion">

        <div class="form-group">
            <label for="miembro_id">Niño(a)</label>
            <select name="miembro_id" class="select2 form-control">
                <option value="">Seleccione un miembro...</option>
                @foreach($miembros as $miembro)
                    <option value="{{ $miembro->id }}" {{ $miembro->id == $certificado->miembro_id ? 'selected' : '' }}>
                        {{ $miembro->nombre }} {{ $miembro->apellidos }}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="form-group">
            <label for="iglesia_id">Iglesia</label>
            <select name="iglesia_id" class="form-control">
                <option value="">Seleccione una iglesia...</option>
                @foreach($iglesias as $iglesia)
                    <option value="{{ $iglesia->id }}" {{ $iglesia->id == $certificado->iglesia_id ? 'selected' : '' }}>
                        {{ $iglesia->nombre }}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="form-group">
            <label for="numero">Número</label>
            <input type="text" name="numero" class="form-control" value="{{ $certificado->numero }}">
        </div>

        <div class="form-group">
            <label for="folio">Folio</label>
            <input type="text" name="folio" class="form-control" value="{{ $certificado->folio }}">
        </div>

        <div class="form-group">
            <label for="padre">Padre</label>
            <input type="text" name="padre" class="form-control" value="{{ $certificado->padre }}">
        </div>

        <div class="form-group">
            <label for="madre">Madre</label>
            <input type="text" name="madre" class="form-control" value="{{ $certificado->madre }}">
        </div>

        <div class="form-group">
            <label for="fecha">Fecha</label>
            <input type="date" name="fecha" class="form-control" value="{{ $certificado->fecha }}">
        </div>

        <button type="submit" class="btn btn-success">Actualizar Certificado</button>
        <a href="{{ route('certificados.index') }}" class="btn btn-secondary">Cancelar</a>
    </form>
</div>
</div>
</div>
</div>
</div></div>
@endsection
