<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Certificado de Bautismo</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            width: 100%;
            
        }
        .certificado {
            position: relative;
            width: 100%;
            height: 100%;
        }
        .certificado img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover; /* Ajusta la imagen al contenedor */
        }
        .mensaje-validacion {
            position: absolute;
            bottom: 20px; /* Posiciona el mensaje en la parte inferior */
            width: 100%;
            text-align: center;
            font-size: 14px;
            color: #000;
            padding: 10px;
        }
        .campo {
            position: absolute;
            font-size: 18px;
            font-weight: bold;
            color: #000;
        }
        /* Posiciones ajustadas para campos específicos */
        .miembro {
            top: 310px;
            left: 400px;
        }
        .iglesia {
            top: 379px;
            left: 150px;
        }
        .numero {
            top: 614px;
            left: 175px;
        }
        .folio {
            top: 614px;
            left: 350px;
        }
        .otorgado {
            top: 650px;
            left: 520px;
        }
        .lugar {
            top: 700px;
            left: 400px;
        }
        .fecha {
            top: 700px;
            left: 760px;
        }
    </style>
</head>
<body>
    <div class="certificado">
        <img src="{{ public_path('img/bautismo_plantilla.png') }}" alt="Certificado de Bautismo">
        
        <!-- Campos de texto -->
        <div class="campo miembro">{{ $miembro->nombre }} {{ $miembro->apellidos }}</div>
        <div class="campo iglesia">{{ $iglesia->nombre ?? 'N/A' }}</div>
        <div class="campo numero">{{ $certificado->numero ?? 'N/A' }}</div>
        <div class="campo folio">{{ $certificado->folio ?? 'N/A' }}</div>
        <div class="campo otorgado">{{ $certificado->otorgado ?? 'N/A' }}</div>
        <div class="campo lugar">{{ $certificado->lugar ?? 'N/A' }}</div>
        <div class="campo fecha">{{ \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') }}</div>
        <div class="mensaje-validacion">
        "Este certificado incluye una firma digital del representante legal del Ministerio Evangélico Betesda Luz y Verdad en Cristo. Para validar la autenticidad de esta firma,
        <br> ingrese a la plataforma oficial de la Agencia para el Desarrollo de la Sociedad de la Información en Bolivia (ADSIB): <a href='https://validar.firmadigital.bo/' target='_blank'>https://validar.firmadigital.bo/</a>
    </div>
    </div>
</body>
</html>
