<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Certificado de Consagración</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }
        .certificado {
            position: relative;
            width: 100%;
            height: 100%;
        }
        .certificado img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .mensaje-validacion {
            position: absolute;
            bottom: 20px; /* Posiciona el mensaje en la parte inferior */
            width: 100%;
            text-align: center;
            font-size: 14px;
            color: #000;
            padding: 10px;
        }
        .campo {
            position: absolute;
            font-size: 18px;
            font-weight: bold;
            color: #000;
        }

        /* Ajustes de posición para cada campo */
        .hermano {
            top: 355px;
            left: 430px;
        }
        .padre {
            top: 470px;
            left: 460px;
        }
        .madre {
            top: 515px;
            left: 460px;
        }
        .iglesia {
            top: 575px;
            left: 460px;
        }
        .numero {
            top: 635px;
            left: 570px;
        }
        .folio {
            top: 635px;
            left: 850px;
        }
        .dia {
            top: 710px;
            left: 570px;
        }
        .mes {
            top: 710px;
            left: 790px;
        }
        .anio {
            top: 710px;
            left: 940px;
        }
    </style>
</head>
<body>
    <div class="certificado">
        <img src="{{ public_path('img/consagracion_plantilla.png') }}" alt="Certificado de Consagración">
        
        <!-- Campos de texto -->
        <div class="campo hermano">{{ $miembro->nombre }} {{ $miembro->apellidos }}</div>
        <div class="campo padre">{{ $certificado->padre }}</div>
        <div class="campo madre">{{ $certificado->madre }}</div>
        <div class="campo iglesia">{{ $iglesia->nombre ?? 'N/A' }}</div>
        <div class="campo numero">{{ $certificado->numero ?? 'N/A' }}</div>
        <div class="campo folio">{{ $certificado->folio ?? 'N/A' }}</div>
        <div class="campo dia">{{ \Carbon\Carbon::parse($certificado->fecha)->format('d') }}</div>
        <div class="campo mes">{{ \Carbon\Carbon::parse($certificado->fecha)->format('m') }}</div>
        <div class="campo anio">{{ \Carbon\Carbon::parse($certificado->fecha)->format('y') }}</div>
          <div class="mensaje-validacion">
        "Este certificado incluye una firma digital del representante legal del Ministerio Evanglico Betesda Luz y Verdad en Cristo. Para validar la autenticidad de esta firma,
        <br> ingrese a la plataforma oficial de la Agencia para el Desarrollo de la Sociedad de la Informacin en Bolivia (ADSIB): <a href='https://validar.firmadigital.bo/' target='_blank'>https://validar.firmadigital.bo/</a>
    </div>
    </div>
</body>
</html>
