<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Certificado de Matrimonio</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }
        .certificado {
            position: relative;
            width: 100%;
            height: 100%;
        }
        .certificado img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .mensaje-validacion {
            position: absolute;
            bottom: 20px; /* Posiciona el mensaje en la parte inferior */
            width: 100%;
            text-align: center;
            font-size: 14px;
            color: #000;
            padding: 10px;
        }
        .campo {
            position: absolute;
            font-size: 18px;
            font-weight: bold;
            color: #000;
        }

        /* Ajustes de posición para cada campo */
        .senor {
            top: 250px;
            left: 420px;
        }
        .senora {
            top: 286px;
            left: 420px;
        }
        .iglesia {
            top: 390px;
            left: 280px;
        }
        .numero_certificado {
            top: 439px;
            left: 670px;
        }
        .notaria {
            top: 460px;
            left: 670px;
        }
        .fecha {
            top: 484px;
            left: 280px;
        }
        .libro {
            top: 580px;
            left: 460px;
        }
        .folio {
            top: 580px;
            left: 760px;
        }
        .dia {
            top: 705px;
            left: 400px;
        }
        .mes {
            top: 705px;
            left: 580px;
        }
        .anio {
            top: 705px;
            left: 780px;
        }
    </style>
</head>
<body>
    <div class="certificado">
        <img src="{{ public_path('img/matrimonio_plantilla.png') }}" alt="Certificado de Matrimonio">
        
        <!-- Campos de texto -->
        <div class="campo senor">{{ $certificado->senorMiembro ? $certificado->senorMiembro->nombre . ' ' . $certificado->senorMiembro->apellidos : $certificado->senor }}</div>
        <div class="campo senora">{{ $certificado->senoraMiembro ? $certificado->senoraMiembro->nombre . ' ' . $certificado->senoraMiembro->apellidos : $certificado->senora }}</div>
        
        <div class="campo iglesia">{{ $iglesia->nombre ?? 'N/A' }}</div>
        <div class="campo numero_certificado">{{ $certificado->numero ?? 'N/A' }}</div>
        <div class="campo notaria">{{ $certificado->notaria_numero ?? 'N/A' }}</div>
        <div class="campo fecha">{{ \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') }}</div>
        <div class="campo libro">{{ $certificado->libro_numero ?? 'N/A' }}</div>
        <div class="campo folio">{{ $certificado->folio ?? 'N/A' }}</div>
        <div class="campo dia">{{ \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d') }}</div>
        <div class="campo mes">{{ \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('m') }}</div>
        <div class="campo anio">{{ \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('y') }}</div>
         <div class="mensaje-validacion">
        "Este certificado incluye una firma digital del representante legal del Ministerio Evanglico Betesda Luz y Verdad en Cristo. Para validar la autenticidad de esta firma,
        <br> ingrese a la plataforma oficial de la Agencia para el Desarrollo de la Sociedad de la Informacin en Bolivia (ADSIB): <a href='https://validar.firmadigital.bo/' target='_blank'>https://validar.firmadigital.bo/</a>
    </div>
    </div>
</body>
</html>
