@extends('layouts.app')

@section('content')

     
    <h3 class="text-center" style="color: #eeeff4;">Detalles del Certificado - {{ ucfirst($certificado->tipo) }}</h3>
    <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <table class="table table-striped table-hover">
        <tr>
            <th>Tipo</th>
            <td>{{ ucfirst($certificado->tipo) }}</td>
        </tr>
        
        <!-- Mostrar el miembro si aplica -->
        @if($certificado->miembro)
        <tr>
            <th>Hermano(a) / Niño(a)</th>
            <td>{{ $certificado->miembro->nombre }} {{ $certificado->miembro->apellidos }}</td>
        </tr>
        @endif

        <!-- Iglesia -->
        @if($certificado->iglesia)
        <tr>
            <th>Iglesia</th>
            <td>{{ $certificado->iglesia->nombre }}</td>
        </tr>
        @endif
        
        <!-- Mostrar Señor (miembro o nombre ingresado manualmente) -->
        @if($certificado->miembro_senor_id)
        <tr>
            <th>Señor</th>
            <td>{{ $certificado->senorMiembro->nombre }} {{ $certificado->senorMiembro->apellidos }}</td>
        </tr>
        @elseif($certificado->senor)
        <tr>
            <th>Señor</th>
            <td>{{ $certificado->senor }}</td>
        </tr>
        @endif

        <!-- Mostrar Señora (miembro o nombre ingresado manualmente) -->
        @if($certificado->miembro_senora_id)
        <tr>
            <th>Señora</th>
            <td>{{ $certificado->senoraMiembro->nombre }} {{ $certificado->senoraMiembro->apellidos }}</td>
        </tr>
        @elseif($certificado->senora)
        <tr>
            <th>Señora</th>
            <td>{{ $certificado->senora }}</td>
        </tr>
        @endif
        @if($certificado->padre)
        <tr>
            <th>Padre</th>
            <td>{{ $certificado->padre }}</td>
        </tr>
        @endif
        @if($certificado->madre)
        <tr>
            <th>Madre</th>
            <td>{{ $certificado->madre }}</td>
        </tr>
        @endif
        @if($certificado->lugar)
        <tr>
            <th>En(Lugar)</th>
            <td>{{ $certificado->lugar }}</td>
        </tr>
        @endif
        <!-- Número del certificado -->
        <tr>
            <th>Número del Certificado</th>
            <td>{{ $certificado->numero ?? '-' }}</td>
        </tr>

        <!-- Folio -->
        <tr>
            <th>Folio</th>
            <td>{{ $certificado->folio ?? '-' }}</td>
        </tr>

        <!-- Notaría -->
        @if($certificado->notaria_numero)
        <tr>
            <th>Número de Notaría</th>
            <td>{{ $certificado->notaria_numero }}</td>
        </tr>
        @endif

        <!-- Número de Libro -->
        @if($certificado->libro_numero)
        <tr>
            <th>Número de Libro</th>
            <td>{{ $certificado->libro_numero }}</td>
        </tr>
        @endif
        
        <tr>
            <th>Fecha</th>
            @if ($certificado->tipo === 'matrimonio')
                <td>{{ $certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-' }}</td>
            @else
                <td>{{ $certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-' }}</td>
            @endif
        </tr>
    </table>
    
    <a href="{{ route('certificados.index') }}" class="btn btn-danger">Volver</a>
</div>
</div>
</div>
</div>
</div>
@endsection
