@extends('layouts.app')

@section('content')

    <h3 class="text-center mb-4" style="color: #eeeff4;">Mis Certificados</h3>

        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    @if($certificados->isEmpty())
        <div class="alert alert-info">
            Aún no tienes certificados registrados.
        </div>
    @else
        <table class="table table-striped table-hover">
            <thead style="background-color:#2c08f5">
                <tr>
                    <th style="color:#ffffff">Tipo</th>
                    <th style="color:#ffffff">Fecha</th>
                    <th style="color:#ffffff">Iglesia</th>
                    
                    <th style="color:#ffffff">Folio</th>
                    <th style="color:#ffffff">Estado de Pago</th>
                    <th style="color:#ffffff">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($certificados as $certificado)
                <tr>
                    <td>{{ ucfirst($certificado->tipo) }}</td>
                    <td>
                        @if($certificado->tipo == 'matrimonio')
                            {{ $certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-' }}
                        @else
                            {{ $certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-' }}
                        @endif
                    </td>
                    <td>{{ $certificado->iglesia ? $certificado->iglesia->nombre : '-' }}</td>
                    
                    <td>{{ $certificado->folio ?? '-' }}</td>
                    <td>
                        @if($certificado->tipo == 'bautismo')
                            <span class="badge bg-secondary">No aplica</span>
                        @else
                            <span class="badge bg-{{ $certificado->pagoCompleto() ? 'success' : 'warning' }}">
                                {{ $certificado->pagoCompleto() ? 'Completo' : 'Incompleto' }}
                            </span>
                        @endif
                    </td>
                    <td>
                        @if(($certificado->tipo === 'bautismo') || ($certificado->pagoCompleto() && ($certificado->tipo === 'matrimonio' || $certificado->tipo === 'consagracion')))
                        <a href="{{ route('certificados.pdf', $certificado->id) }}" class="btn btn-danger">
                            <i class="fas fa-file-pdf"></i> Descargar Certificado
                        </a>
                    @endif
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>
</div>
</div>
</div>
</div>
@endsection
