@extends('layouts.app')

@section('content')

    <h3 class="text-center"style="color: #eeeff4;">Editar Miembro</h3>
    
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <form action="{{ route('miembros.update', $miembro->id) }}" method="POST">
        @csrf
        @method('PUT')
        
        <div class="form-group">
            <label for="nombre">Nombre</label>
            <input type="text" name="nombre" id="nombre" class="form-control" value="{{ $miembro->nombre }}" required>
            @error('nombre')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="apellidos">Apellidos</label>
            <input type="text" name="apellidos" id="apellidos" class="form-control" value="{{ $miembro->apellidos }}" required>
            @error('apellidos')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="carnet">Carnet</label>
            <div class="input-group">
                <input type="text" name="carnet" id="carnet" class="form-control" value="{{ $miembro->carnet }}" required>
                <input type="text" name="complemento" id="complemento" class="form-control" placeholder="Complemento" value="{{ $miembro->complemento }}">
            </div>
            @error('carnet')
            <small class="text-danger">{{ $message }}</small>
            @enderror
            @error('complemento')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        
        <div class="form-group">
            <label for="extension">Extensión</label>
            <select name="extension" id="extension" class="form-control">
                <option value="">Seleccione...</option>
                <option value="LP" {{ $miembro->extension == 'LP' ? 'selected' : '' }}>La Paz</option>
                <option value="CB" {{ $miembro->extension == 'CB' ? 'selected' : '' }}>Cochabamba</option>
                <option value="SC" {{ $miembro->extension == 'SC' ? 'selected' : '' }}>Santa Cruz</option>
                <option value="OR" {{ $miembro->extension == 'OR' ? 'selected' : '' }}>Oruro</option>
                <option value="PT" {{ $miembro->extension == 'PT' ? 'selected' : '' }}>Potosí</option>
                <option value="TJ" {{ $miembro->extension == 'TJ' ? 'selected' : '' }}>Tarija</option>
                <option value="BN" {{ $miembro->extension == 'BN' ? 'selected' : '' }}>Beni</option>
                <option value="PA" {{ $miembro->extension == 'PA' ? 'selected' : '' }}>Pando</option>
                <option value="CH" {{ $miembro->extension == 'CH' ? 'selected' : '' }}>Chuquisaca</option>
            </select>
            @error('extension')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        
        <div class="form-group">
            <label for="telefono">Teléfono</label>
            <input type="text" name="telefono" id="telefono" class="form-control" value="{{ $miembro->telefono }}">
            @error('telefono')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="correo">Correo</label>
            <input type="email" name="correo" id="correo" class="form-control" value="{{ $miembro->correo }}">
            @error('correo')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="direccion">Dirección</label>
            <input type="text" name="direccion" id="direccion" class="form-control" value="{{ $miembro->direccion }}">
            @error('direccion')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="fecha_de_nacimiento">Fecha de Nacimiento</label>
            <input type="date" name="fecha_de_nacimiento" id="fecha_de_nacimiento" class="form-control" value="{{ $miembro->fecha_de_nacimiento }}" required>
            @error('fecha_de_nacimiento')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <!-- Select de Iglesia -->
        <div class="form-group">
            <label for="iglesia_id">Iglesia</label>
            <select name="iglesia_id" id="iglesia_id" class="form-control select2">
                <option value="">Seleccione una iglesia</option>
                @foreach($iglesias as $id => $nombre)
                    <option value="{{ $id }}" {{ $miembro->iglesia_id == $id ? 'selected' : '' }}>
                        {{ $nombre }}
                    </option>
                @endforeach
            </select>
            @error('iglesia_id')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <button type="submit" class="btn btn-success mt-3">Actualizar</button>
        <a href="{{ route('miembros.index') }}" class="btn btn-secondary mt-3">Cancelar</a>
    </form>
</div>
</div>
</div>
</div>
</div>


<!-- Incluir Select2 -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: 'Seleccione una iglesia',
            allowClear: true
        });
    });
</script>
@endsection
