<!DOCTYPE html>
<html>
<head>
    <title>Reporte de Pagos Completos</title>
    <style>
        body {
            font-family: 'Helvetica', sans-serif;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .header {
            text-align: center;
            margin-bottom: 40px;
        }
        .date {
            text-align: right;
            font-size: 12px;
            margin-bottom: 20px;
        }
        .total {
            font-weight: bold;
            font-size: 16px;
            text-align: right;
        }
    </style>
</head>
<body>
    <div class="header">
        <h1>Reporte de Pagos Completos</h1>
    </div>

    <div class="date">
        Fecha de generación: {{ \Carbon\Carbon::now()->format('d/m/Y H:i:s') }}
    </div>

    <table>
        <thead>
            <tr>
               
                <th>Folio</th>
                <th>Iglesia</th>
                <th>Monto Pagado</th>
                <th>Fecha de Pago</th>
                <th>Registrado por</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($pagosCompletos as $certificado)
                @foreach ($certificado->pagos as $pago)
                    <tr>
                       
                        <td>{{ $certificado->folio }}</td>
                        <td>{{ $certificado->iglesia->nombre ?? 'N/A' }}</td>
                        <td>{{ number_format($pago->monto_pagado, 2) }}</td>
                        <td>{{ \Carbon\Carbon::parse($pago->fecha_de_pago)->format('d/m/Y H:i:s') }}</td>
                        <td>{{ $pago->usuario->name }}</td>
                    </tr>
                @endforeach
            @endforeach
        </tbody>
    </table>

    <p class="total">Monto Total Pagado: {{ number_format($montoTotal, 2) }}</p>
</body>
</html>
