@extends('layouts.app')

@section('content')

    <h3 class="text-center" style="color: #eeeff4;">Listado de Regionales</h3>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
  <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <!-- Botón de agregar regional con icono -->
    <a href="{{ route('regionales.create') }}" class="btn btn-primary mb-3">
        <i class="fas fa-plus-circle"></i> <!-- Icono de agregar -->
    </a>

    <!-- Mensaje de éxito -->
    @if ($message = Session::get('success'))
    <div class="alert alert-success">
        {{ $message }}
    </div>
    @endif

    <!-- Tabla de regionales -->
    <table class="table table-striped mt-2">
        <thead style="background-color:#2f2bec">
            <tr>
                <th style="color:#fff">Nombre</th>
                <th style="color:#fff">Teléfono</th>
                <th style="color:#fff">Estado</th>
                <th style="color:#fff">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($regionales as $regionale)
            <tr>
                <td>{{ $regionale->nombre }}</td>
                <td>{{ $regionale->telefono }}</td>
                <td>{{ $regionale->estado ? 'Activo' : 'Inactivo' }}</td>
                <td>
                    <!-- Botón de editar -->
                    <a href="{{ route('regionales.edit', $regionale->id) }}" class="btn btn-warning btn-sm">
                        <i class="fas fa-edit"></i> <!-- Icono de edición -->
                    </a>
                    <!-- Botón de activar/desactivar -->
                    <form action="{{ route('regionales.destroy', $regionale->id) }}" method="POST" style="display:inline;">
                        @csrf
                        @method('DELETE')
                        <button type="submit" class="btn btn-danger btn-sm">
                            <i class="fas {{ $regionale->estado ? 'fa-ban' : 'fa-check-circle' }}"></i> <!-- Icono de activar/desactivar -->
                        </button>
                    </form>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
   </div>
      </div>
         </div>   
         </div>
            </div>
@endsection
