@extends('layouts.app')

@section('content')

    <h3 style="color: #ffffff;">Certificados Emitidos por Tipo, Iglesia y Regional</h3>
 <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <!-- Filtro de fechas -->
    <form method="GET" action="{{ route('reportes.certificados_por_tipo') }}" class="form-inline mb-3">
        <label for="fecha_inicio">Fecha Inicio:</label>
        <input type="date" name="fecha_inicio" class="form-control mx-2" value="{{ request('fecha_inicio') }}">
        <label for="fecha_fin">Fecha Fin:</label>
        <input type="date" name="fecha_fin" class="form-control mx-2" value="{{ request('fecha_fin') }}">
        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('reportes.descargar', ['tipoReporte' => 'certificados_por_tipo', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')]) }}" class="btn btn-secondary ml-3">Descargar PDF</a>
        <a href="{{ route('reportes.certificados_por_tipo') }}" class="btn btn-warning ml-3">Ver todos</a> <!-- Botón de refrescar -->
    </form>
 <div class="table-responsive">
    <table  class="table table-striped table-hover">
        <thead style="background-color:#0e25f8">
            <tr>
                <th style="color:#fff;">Tipo de Certificado</th>
                <th style="color:#fff;">Iglesia</th>
                <th style="color:#fff;">Regional</th>
                <th style="color:#fff;">Total</th>
                <th style="color:#fff;">Fecha de Registro</th>
            </tr>
        </thead>
        <tbody>
            @foreach($certificadosPorTipoData as $certificado)
                <tr>
                    <td>{{ ucfirst($certificado->tipo) }}</td>
                    <td>{{ $certificado->iglesia }}</td>
                    <td>{{ $certificado->regional }}</td>
                    <td>{{ $certificado->total }}</td>
                    <td>{{ \Carbon\Carbon::parse($certificado->created_at)->format('d/m/Y') }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
    </div>
</div>
</div>
</div>
</div>
</div>
@endsection
