@extends('layouts.app')

@section('content')

    <h3 class="text-center text-primary mb-4">Panel de Reportes de Certificados y Pagos</h3>
        <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card" style="background: linear-gradient(to right, #f0ab2a, #f1e752);">
                    <div class="card-body" >

    <!-- Resumen de reportes con enlaces a vistas detalladas -->
    <div class="row">
        <!-- Definición de tamaño uniforme para las tarjetas -->
        <style>
            .card-uniform {
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
            }
            .card-content {
                flex-grow: 1;
            }
        </style>

        <!-- Total de Certificados Emitidos por Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-info card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-info"><i class="fas fa-file-alt"></i> Total de Certificados Emitidos</h5>
                    <p class="card-text display-4 text-info">{{ $totalCertificados }}</p>
                </div>
                <a href="{{ route('reportes.total_certificados') }}" class="btn btn-outline-info btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Certificados Emitidos por Tipo, Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-success card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-success"><i class="fas fa-layer-group"></i> Certificados por Tipo</h5>
                    <ul class="list-unstyled mb-3">
                        @foreach($certificadosPorTipo as $item)
                            <li><strong>{{ ucfirst($item->tipo) }}:</strong> {{ $item->total }}</li>
                        @endforeach
                    </ul>
                </div>
                <a href="{{ route('reportes.certificados_por_tipo') }}" class="btn btn-outline-success btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Pagos Realizados por Certificado, Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-warning card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-warning"><i class="fas fa-money-check-alt"></i> Pagos Realizados</h5>
                    <ul class="list-unstyled mb-3">
                        @foreach($pagosPorIglesia as $pago)
                            <li>{{ $pago->certificado->iglesia->nombre }} - <strong>{{ $pago->total }} Bs</strong></li>
                        @endforeach
                    </ul>
                </div>
                <a href="{{ route('reportes.pagos_por_iglesia') }}" class="btn btn-outline-warning btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Nueva Tarjeta para el Reporte Detallado de Certificados -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-primary card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-primary"><i class="fas fa-search"></i> Reporte Detallado</h5>
                    <p class="card-text">Consulta certificados emitidos con detalle de fechas y estado de pago.</p>
                </div>
                <a href="{{ route('reportes.certificados_detallados') }}" class="btn btn-outline-primary btn-sm">Ver Detalle</a>
            </div>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
@endsection
