<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Reporte - Total de Certificados Emitidos</title>
    <style>
        /* Estilos generales */
        body { font-family: Arial, sans-serif; margin: 0; padding: 0; font-size: 12px; background-color: #f4f4f4; }
        h3 { color: #2F4F4F; text-align: center; margin-top: 20px; }
        .report-header { text-align: right; font-size: 12px; margin: 10px 20px; color: #555; }
        .report-container { width: 100%; margin: 0 auto; padding: 20px; border: 1px solid #ddd; background-color: #fff; }
        .report-table { width: 100%; border-collapse: collapse; margin-top: 20px; font-size: 12px; }
        .report-table th, .report-table td { border: 1px solid #ccc; padding: 8px; text-align: left; }
        .report-table th { background-color: #2F4F4F; color: white; }
        .total-row td { font-weight: bold; background-color: #f0f0f0; }
        .section-title { font-size: 14px; font-weight: bold; margin-top: 30px; color: #333; border-bottom: 1px solid #ccc; padding-bottom: 5px; }
        .total-general { font-size: 14px; font-weight: bold; text-align: right; margin-top: 20px; }
        .report-footer { text-align: center; font-size: 10px; margin-top: 40px; color: #888; }
        .logo { height: 60px; }
        .title { font-size: 20px; font-weight: bold; text-align: center; margin: 0 auto; }
    </style>
</head>
<body>

<div class="report-container">
    <div class="report-header">
        <img src="{{ public_path('img/logo.png') }}" alt="Logo" class="logo">
        <div class="title">Grupo Evangélico BETESDA</div>
        <div class="report-date">Fecha y Hora del Reporte: {{ \Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s') }}</div>
    </div>
    <!-- Cabecera del reporte -->
    <div class="report-header">
        Fecha y Hora del Reporte: {{ \Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s') }}
    </div>

    <!-- Título principal -->
    <h3>Total de Certificados Emitidos</h3>

    <!-- Total General de Certificados -->
    <div class="section-title">Total General de Certificados Emitidos</div>
    <table class="report-table">
        <thead>
            <tr>
                <th>Total General</th>
            </tr>
        </thead>
        <tbody>
            <tr class="total-row">
                <td>{{ $data['totalCertificados'] }}</td>
            </tr>
        </tbody>
    </table>

    <!-- Separador -->
    <hr>

    <!-- Certificados por Iglesia -->
    <h3>Certificados Emitidos por Iglesia</h3>
    <table class="report-table">
        <thead>
            <tr>
                <th>Iglesia</th>
                <th>Total Emitido</th>
            </tr>
        </thead>
        <tbody>
            @foreach($data['certificadosPorIglesia'] as $iglesia)
                <tr>
                    <td>{{ $iglesia->iglesia_nombre }}</td>
                    <td>{{ $iglesia->total }}</td>
                </tr>
            @endforeach
            <tr class="total-row">
                <td>Total por Iglesia</td>
                <td>{{ $data['totalPorIglesia'] }}</td>
            </tr>
        </tbody>
    </table>

    <!-- Separador -->
    <hr>

    <!-- Certificados por Regional -->
    <h3>Certificados Emitidos por Regional</h3>
    <table class="report-table">
        <thead>
            <tr>
                <th>Regional</th>
                <th>Total Emitido</th>
            </tr>
        </thead>
        <tbody>
            @foreach($data['certificadosPorRegional'] as $regional)
                <tr>
                    <td>{{ $regional->regional_nombre }}</td>
                    <td>{{ $regional->total }}</td>
                </tr>
            @endforeach
            <tr class="total-row">
                <td>Total por Regional</td>
                <td>{{ $data['totalPorRegional'] }}</td>
            </tr>
        </tbody>
    </table>

    <!-- Total General al final del reporte -->
    <div class="total-general">
        Total General de Certificados: {{ $data['totalCertificados'] }}
    </div>

    <!-- Pie de página del reporte -->
    <div class="report-footer">
        Reporte generado automáticamente por el sistema.
    </div>
</div>

</body>
</html>
