

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Registrar Pago para Certificado de <?php echo e(ucfirst($certificado->tipo)); ?></h3>
    
    <!-- Información del Certificado -->
    <div class="card mb-4">
        <div class="card-header">
            <h5>Información del Certificado</h5>
        </div>
        <div class="card-body">
            <?php if($certificado->tipo === 'bautismo'): ?>
                <p><strong>Hermano(a):</strong> <?php echo e($certificado->miembro->nombre ?? 'N/A'); ?></p>
                <p><strong>Iglesia:</strong> <?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></p>
                <p><strong>Número:</strong> <?php echo e($certificado->numero); ?></p>
            <?php elseif($certificado->tipo === 'matrimonio'): ?>
                <?php if($certificado->senorMiembro): ?>
                    <p><strong>Señor (miembro):</strong> <?php echo e($certificado->senorMiembro->nombre); ?> <?php echo e($certificado->senorMiembro->apellidos); ?></p>
                <?php elseif($certificado->senor): ?>
                    <p><strong>Señor:</strong> <?php echo e($certificado->senor); ?></p>
                <?php endif; ?>
                
                <?php if($certificado->senoraMiembro): ?>
                    <p><strong>Señora (miembro):</strong> <?php echo e($certificado->senoraMiembro->nombre); ?> <?php echo e($certificado->senoraMiembro->apellidos); ?></p>
                <?php elseif($certificado->senora): ?>
                    <p><strong>Señora:</strong> <?php echo e($certificado->senora); ?></p>
                <?php endif; ?>
                <p><strong>Notaría N°:</strong> <?php echo e($certificado->notaria_numero); ?></p>
                <p><strong>Fecha Matrimonio:</strong> <?php echo e($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-'); ?></p>
                <p><strong>N° Libro:</strong> <?php echo e($certificado->libro_numero); ?></p>
                <p><strong>Folio:</strong> <?php echo e($certificado->folio); ?></p>
                <p><strong>Iglesia:</strong> <?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></p>
                <p><strong>Certificado N°:</strong> <?php echo e($certificado->numero); ?></p>
            <?php elseif($certificado->tipo === 'consagracion'): ?>
                <p><strong>Niño(a):</strong> <?php echo e($certificado->miembro->nombre ?? 'N/A'); ?></p>
                <p><strong>Padre:</strong> <?php echo e($certificado->padre); ?></p>
                <p><strong>Madre:</strong> <?php echo e($certificado->madre); ?></p>
                <p><strong>N° Folio:</strong> <?php echo e($certificado->folio); ?></p>
                <p><strong>Número:</strong> <?php echo e($certificado->numero); ?></p>
                <p><strong>Iglesia:</strong> <?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></p>
                <p><strong>Fecha:</strong> <?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?></p>
            <?php endif; ?>
        </div>
    </div>

    <!-- Verificación del estado del pago -->
    <?php if($pagos && $pagos->last() && $pagos->last()->estado === 'completo'): ?>
        <div class="alert alert-success">
            El pago ya ha sido realizado. No se requieren más pagos.
        </div>
    <?php else: ?>
        <!-- Formulario de Pago -->
        <form action="<?php echo e(route('pagos.store')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="certificado_id" value="<?php echo e($certificado->id); ?>">
            <input type="hidden" name="fecha_de_pago" value="<?php echo e(now()->format('Y-m-d\TH:i')); ?>">

            <div class="form-group">
                <label for="monto_a_pagar">Monto a Pagar</label>
                <input type="number" id="monto_a_pagar" name="monto_a_pagar" class="form-control" value="<?php echo e($certificado->tipo === 'matrimonio' ? 100 : 30); ?>" readonly>
            </div>

            <!-- Imagen de QR con Modal -->
         <!-- Imagen de QR con Modal -->
<?php if($qr && $qr->fotoqr): ?>
<div class="text-center my-4">
    <img src="<?php echo e(asset('storage/' . $qr->fotoqr)); ?>" alt="QR Code" style="width: 150px; cursor: pointer;" data-toggle="modal" data-target="#qrModal">
</div>

<!-- Modal -->
<div class="modal fade" id="qrModal" tabindex="-1" aria-labelledby="qrModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body text-center">
                <img src="<?php echo e(asset('storage/' . $qr->fotoqr)); ?>" alt="QR Code" style="width: 300px;">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<?php else: ?>
<div class="alert alert-warning text-center">
    No hay un QR activo disponible.
</div>
<?php endif; ?>


            <button type="submit" class="btn btn-success">Registrar Pago</button>
            <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-danger">Cancelar</a>
        </form>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/pagos/create.blade.php ENDPATH**/ ?>