<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Certificado de Matrimonio</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }
        .certificado {
            position: relative;
            width: 100%;
            height: 100%;
        }
        .certificado img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        .mensaje-validacion {
            position: absolute;
            bottom: 20px; /* Posiciona el mensaje en la parte inferior */
            width: 100%;
            text-align: center;
            font-size: 14px;
            color: #000;
            padding: 10px;
        }
        .campo {
            position: absolute;
            font-size: 18px;
            font-weight: bold;
            color: #000;
        }

        /* Ajustes de posición para cada campo */
        .senor {
            top: 250px;
            left: 420px;
        }
        .senora {
            top: 286px;
            left: 420px;
        }
        .iglesia {
            top: 390px;
            left: 280px;
        }
        .numero_certificado {
            top: 439px;
            left: 670px;
        }
        .notaria {
            top: 460px;
            left: 670px;
        }
        .fecha {
            top: 484px;
            left: 280px;
        }
        .libro {
            top: 580px;
            left: 460px;
        }
        .folio {
            top: 580px;
            left: 760px;
        }
        .dia {
            top: 705px;
            left: 400px;
        }
        .mes {
            top: 705px;
            left: 580px;
        }
        .anio {
            top: 705px;
            left: 780px;
        }
    </style>
</head>
<body>
    <div class="certificado">
        <img src="<?php echo e(public_path('img/matrimonio_plantilla.png')); ?>" alt="Certificado de Matrimonio">
        
        <!-- Campos de texto -->
        <div class="campo senor"><?php echo e($certificado->senorMiembro ? $certificado->senorMiembro->nombre . ' ' . $certificado->senorMiembro->apellidos : $certificado->senor); ?></div>
        <div class="campo senora"><?php echo e($certificado->senoraMiembro ? $certificado->senoraMiembro->nombre . ' ' . $certificado->senoraMiembro->apellidos : $certificado->senora); ?></div>
        
        <div class="campo iglesia"><?php echo e($iglesia->nombre ?? 'N/A'); ?></div>
        <div class="campo numero_certificado"><?php echo e($certificado->numero ?? 'N/A'); ?></div>
        <div class="campo notaria"><?php echo e($certificado->notaria_numero ?? 'N/A'); ?></div>
        <div class="campo fecha"><?php echo e(\Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y')); ?></div>
        <div class="campo libro"><?php echo e($certificado->libro_numero ?? 'N/A'); ?></div>
        <div class="campo folio"><?php echo e($certificado->folio ?? 'N/A'); ?></div>
        <div class="campo dia"><?php echo e(\Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d')); ?></div>
        <div class="campo mes"><?php echo e(\Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('m')); ?></div>
        <div class="campo anio"><?php echo e(\Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('y')); ?></div>
        <div class="mensaje-validacion">
            Para validar la firma digital del representante legal del Ministerio Evangelico Betesda luz y verdad en Cristo que tiene este certificado, ingrese a 
                <a href="https://validar.firmadigital.bo/" target="_blank">https://validar.firmadigital.bo/</a>
        </div>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/certificados/pdf_matrimonio.blade.php ENDPATH**/ ?>