

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 style="color: #eeeff4;">Listado de Miembros</h3>

    <!-- Botón de agregar miembro con icono -->
    <a href="<?php echo e(route('miembros.create')); ?>" class="btn btn-primary mb-3">
        <i class="fas fa-user-plus"></i> <!-- Icono de agregar usuario -->
    </a>

    <!-- Mensajes de éxito -->
    <?php if($message = Session::get('success')): ?>
        <div class="alert alert-success">
            <?php echo e($message); ?>

        </div>
    <?php endif; ?>

    <!-- Mensajes de notificación -->
    <?php if($notificacion = Session::get('notificacion')): ?>
        <div class="alert alert-success">
            <?php echo e($notificacion); ?>

        </div>
    <?php endif; ?>

    <!-- Mensajes de error por usuario existente -->
    <?php if($error = Session::get('error')): ?>
        <div class="alert alert-danger">
            <?php echo e($error); ?>

        </div>
    <?php endif; ?>

    <!-- Formulario de búsqueda y filtro -->
    <form action="<?php echo e(route('miembros.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <div class="col-md-6">
                <input type="text" name="search" class="form-control" placeholder="Buscar por nombre, apellidos, carnet o correo" value="<?php echo e(request('search')); ?>">
            </div>
            <div class="col-md-4">
                <select name="iglesia_id" class="form-control select2" id="iglesia_id" style="width: 100%;">
                    <option value="">Filtrar por Iglesia</option>
                    <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($iglesia->id); ?>" 
                            <?php echo e(request('iglesia_id') == $iglesia->id ? 'selected' : ''); ?>>
                            <?php echo e($iglesia->nombre); ?> - <?php echo e($iglesia->regional->nombre ?? 'Sin regional'); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-2">
                <button type="submit" class="btn btn-primary">
                    <i class="fas fa-search"></i> <!-- Icono de búsqueda -->
                </button>
                <a href="<?php echo e(route('miembros.index')); ?>" class="btn btn-secondary">
                    <i class="fas fa-times"></i> <!-- Icono de limpiar -->
                </a>
            </div>
        </div>
    </form>

    <!-- Tabla responsiva de miembros -->
    <div class="table-responsive">
        <table class="table table-striped mt-2">
            <thead style="background-color:#2f2bec">
                <tr>
                    <th style="color:#fff">Nombre</th>
                    <th style="color:#fff">Apellidos</th>
                    <th style="color:#fff">Carnet</th>
                    <th style="color:#fff">Teléfono</th>
                    <th style="color:#fff">Correo</th>
                    <th style="color:#fff">Iglesia</th>
                    <th style="color:#fff">Regional</th>
                    <th style="color:#fff">Fecha de Nacimiento</th>
                    <th style="color:#fff">Edad</th>
                    <th style="color:#fff">Estado</th>
                    <th style="color:#fff">Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php $__empty_1 = true; $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr>
                        <td><?php echo e($miembro->nombre); ?></td>
                        <td><?php echo e($miembro->apellidos); ?></td>
                        <td>
                            <?php echo e($miembro->carnet); ?>

                            <?php if($miembro->complemento): ?>
                                <strong>Complemento:</strong> -<?php echo e($miembro->complemento); ?>

                            <?php endif; ?>
                            <strong>Extensión:</strong> <?php echo e($miembro->extension); ?>

                        </td>
                        <td><?php echo e($miembro->telefono); ?></td>
                        <td><?php echo e($miembro->correo); ?></td>
                        <td><?php echo e($miembro->iglesia->nombre ?? 'Sin asignar'); ?></td>
                        <td><?php echo e($miembro->iglesia->regional->nombre ?? 'Sin regional'); ?></td>
                        <td><?php echo e($miembro->fecha_de_nacimiento); ?></td>
                        <td>
                            <?php
                                $edad = \Carbon\Carbon::parse($miembro->fecha_de_nacimiento)->age;
                            ?>
                            <?php echo e($edad); ?> años
                        </td>
                        <td><?php echo e($miembro->estado ? 'Activo' : 'Inactivo'); ?></td>
                        <td>
                            <!-- Botón de editar -->
                            <a href="<?php echo e(route('miembros.edit', $miembro->id)); ?>" class="btn btn-warning btn-sm">
                                <i class="fas fa-edit"></i> <!-- Icono de edición -->
                            </a>
                            <!-- Botón de activar/desactivar -->
                            <form action="<?php echo e(route('miembros.destroy', $miembro->id)); ?>" method="POST" style="display:inline;">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>
                                <button type="submit" class="btn btn-danger btn-sm">
                                    <i class="fas <?php echo e($miembro->estado ? 'fa-ban' : 'fa-check-circle'); ?>"></i> <!-- Icono de activar/desactivar -->
                                </button>
                            </form>
                            <!-- Botón de generar usuario -->
                            <form action="<?php echo e(route('miembros.generateUserForm', $miembro->id)); ?>" method="get" style="display:inline;">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="btn btn-success btn-sm">
                                    <i class="fas fa-user-cog"></i> <!-- Icono de generar usuario -->
                                </button>
                            </form>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <tr>
                        <td colspan="11" class="text-center">No se encontraron resultados.</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
        <?php echo e($miembros->links()); ?>

    </div>
</div>

<!-- Incluir Select2 -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: 'Seleccione una opción',
            allowClear: true
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/miembros/index.blade.php ENDPATH**/ ?>