

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center mb-4" style="color: #eeeff4;">Listado de Certificados y Pagos</h3>

<!-- Formulario de búsqueda y filtro -->
<form action="<?php echo e(route('pagos.index')); ?>" method="GET" class="mb-4">
    <div class="row">
        <!-- Buscar por Número -->
        <div class="col-md-3">
            <input type="text" name="numero" class="form-control" placeholder="Buscar por número" value="<?php echo e(request('numero')); ?>">
        </div>

        <!-- Buscar por Folio -->
        <div class="col-md-3">
            <input type="text" name="folio" class="form-control" placeholder="Buscar por folio" value="<?php echo e(request('folio')); ?>">
        </div>

        <!-- Filtro por Fecha -->
        <div class="col-md-3">
            <input type="date" name="fecha_inicio" class="form-control" value="<?php echo e(request('fecha_inicio')); ?>" placeholder="Fecha inicio">
        </div>
        <div class="col-md-3">
            <input type="date" name="fecha_fin" class="form-control" value="<?php echo e(request('fecha_fin')); ?>" placeholder="Fecha fin">
        </div>

        <!-- Filtro por Estado de Pago -->
        <div class="col-md-3 mt-2">
            <select name="estado_pago" class="form-control">
                <option value="">Filtrar por estado de pago</option>
                <option value="completo" <?php echo e(request('estado_pago') == 'completo' ? 'selected' : ''); ?>>Completo</option>
                <option value="incompleto" <?php echo e(request('estado_pago') == 'incompleto' ? 'selected' : ''); ?>>Incompleto</option>
            </select>
        </div>

        <!-- Botones -->
        <div class="col-md-3 mt-2">
            <button type="submit" class="btn btn-primary w-100">Buscar</button>
        </div>

        <div class="col-md-3 mt-2">
            <a href="<?php echo e(route('pagos.index')); ?>" class="btn btn-secondary w-100">Ver todos los pagos</a>
        </div>
    </form>
        <div class="col-md-3 mt-2">
            <form action="<?php echo e(route('pagos.exportPdf')); ?>" method="GET">
                <!-- Filtros que se pasan a la exportación -->
                <input type="hidden" name="numero" value="<?php echo e(request('numero')); ?>">
                <input type="hidden" name="folio" value="<?php echo e(request('folio')); ?>">
                <input type="hidden" name="estado_pago" value="<?php echo e(request('estado_pago')); ?>">
                <input type="hidden" name="fecha_inicio" value="<?php echo e(request('fecha_inicio')); ?>">
                <input type="hidden" name="fecha_fin" value="<?php echo e(request('fecha_fin')); ?>">

                <button type="submit" class="btn btn-danger w-100">Exportar a PDF</button>
            </form>
        </div>
    </div>



    <!-- Resultados de búsqueda y filtros aplicados -->

    <div class="row">
        <!-- Certificados con Pagos Completos -->
        <div class="col-md-6">
            <h4 class="text-center mb-4">Certificados con Pagos Completos</h4>
            <?php $__empty_1 = true; $__currentLoopData = $pagosCompletos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="card mb-5">
                    <div class="card-header">
                        <h5 class="mb-3 text-center">
                            <strong>Certificado:</strong> <?php echo e($certificado->numero); ?> - 
                            <span class="text-capitalize"><?php echo e($certificado->tipo); ?></span>
                        </h5>
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="me-4">
                                <p class="mb-1"><strong>Iglesia:</strong> <?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></p>
                                <p class="mb-1"><strong>Número:</strong> <?php echo e($certificado->numero); ?></p>
                                <p class="mb-1"><strong>Folio:</strong> <?php echo e($certificado->folio); ?></p>
                            </div>
                            <div>
                                <p class="mb-1">
                                    <strong>Estado del Pago:</strong> 
                                    <span class="badge bg-success">Completo</span>
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <h6 class="mb-3 text-center">Detalles del Pago:</h6>
                        <table class="table table-sm table-hover">
                            <thead class="thead-light">
                                <tr>
                                    <th>Monto a Pagar</th>
                                    <th>Monto Pagado</th>
                                    <th>Fecha de Pago</th>
                                    <th>Registrado por</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $certificado->pagos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(number_format($pago->monto_a_pagar, 2)); ?></td>
                                        <td><?php echo e(number_format($pago->monto_pagado, 2)); ?></td>
                                        <td><?php echo e(\Carbon\Carbon::parse($pago->fecha_de_pago)->subHours(4)->format('d/m/Y H:i:s')); ?></td>
                                        <td><?php echo e($pago->usuario->name); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                       

                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <div class="alert alert-info">No hay certificados con pagos completos.</div>
            <?php endif; ?>
        </div>

        <!-- Certificados con Pagos Incompletos -->
        <div class="col-md-6">
            <h4 class="text-center mb-4">Certificados con Pagos Incompletos</h4>
            <?php $__empty_1 = true; $__currentLoopData = $pagosIncompletos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="card mb-5">
                    <div class="card-header">
                        <h5 class="mb-3 text-center">
                            <strong>Certificado:</strong> <?php echo e($certificado->numero); ?> - 
                            <span class="text-capitalize"><?php echo e($certificado->tipo); ?></span>
                        </h5>
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="me-4">
                                <p class="mb-1"><strong>Iglesia:</strong> <?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></p>
                                <p class="mb-1"><strong>Número:</strong> <?php echo e($certificado->numero); ?></p>
                                <p class="mb-1"><strong>Folio:</strong> <?php echo e($certificado->folio); ?></p>
                            </div>
                            <div>
                                <p class="mb-1">
                                    <strong>Estado del Pago:</strong> 
                                    <span class="badge bg-warning">Incompleto</span>
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <h6 class="mb-3 text-center">Detalles del Pago:</h6>
                        <table class="table table-sm table-hover">
                            <thead class="thead-light">
                                <tr>
                                    <th>Monto a Pagar</th>
                                    <th>Monto Pagado</th>
                                    <th>Fecha de Pago</th>
                                    <th>Registrado por</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $certificado->pagos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(number_format($pago->monto_a_pagar, 2)); ?></td>
                                        <td><?php echo e(number_format($pago->monto_pagado, 2)); ?></td>
                                        <td><?php echo e(\Carbon\Carbon::parse($pago->fecha_de_pago)->subHours(4)->format('d/m/Y H:i:s')); ?></td>
                                        <td><?php echo e($pago->usuario->name); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        
                    </div>
                </div>a
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <div class="alert alert-info">No hay certificados con pagos incompletos.</div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/pagos/index.blade.php ENDPATH**/ ?>