

<?php $__env->startSection('content'); ?>

    <h3 class="text-center" style="color: #eeeff4;">Listado de Secretarios</h3>
     <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <a href="<?php echo e(route('secretarios.create')); ?>" class="btn btn-primary mb-3">
        <i class="fas fa-user-plus"></i> <!-- Icono de agregar usuario -->
    </a>

    <!-- Mensajes de éxito -->
    <?php if($message = Session::get('success')): ?>
        <div class="alert alert-success">
            <?php echo e($message); ?>

        </div>
    <?php endif; ?>
 
    <!-- Formulario de búsqueda y filtro -->
    <form action="<?php echo e(route('secretarios.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <div class="col-md-6">
                <input type="text" name="search" class="form-control" placeholder="Buscar por nombre, apellidos, carnet o correo" value="<?php echo e(request('search')); ?>">
            </div>
            <div class="col-md-4">
                <select name="iglesia_id" class="form-control select2" id="iglesia_id" style="width: 100%;">
                    <option value="">Filtrar por Iglesia</option>
                    <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($iglesia->id); ?>" 
                            <?php echo e(request('iglesia_id') == $iglesia->id ? 'selected' : ''); ?>>
                            <?php echo e($iglesia->nombre); ?> - <?php echo e($iglesia->regional->nombre ?? 'Sin regional'); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-2">
                <button type="submit" class="btn btn-primary">
                    <i class="fas fa-search"></i> <!-- Icono de búsqueda -->
                </button>
                <a href="<?php echo e(route('secretarios.index')); ?>" class="btn btn-secondary">
                    <i class="fas fa-times"></i> <!-- Icono de limpiar -->
                </a>
            </div>
        </div>
    </form>

    <!-- Tabla responsiva -->
    <div class="table-responsive">
        <table class="table table-striped table-hover">
            <thead class="thead-dark" style="background-color:#2f2bec">
                <tr>
                    <th style="color:#fff">Nombre</th>
                    <th style="color:#fff">Apellidos</th>
                    <th style="color:#fff">Carnet</th>
                    <th style="color:#fff">Teléfono</th>
                    <th style="color:#fff">Correo</th>
                    <th style="color:#fff">Iglesia</th>
                    <th style="color:#fff">Regional</th>
                    <th style="color:#fff">Fecha de Nacimiento</th>
                    <th style="color:#fff">Edad</th>
                    <th style="color:#fff">Estado</th>
                    <th style="color:#fff">Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php $__empty_1 = true; $__currentLoopData = $secretarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $secretario): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr>
                        <td><?php echo e($secretario->nombre); ?></td>
                        <td><?php echo e($secretario->apellidos); ?></td>
                        <td><?php echo e($secretario->carnet); ?></td>
                        <td><?php echo e($secretario->telefono); ?></td>
                        <td><?php echo e($secretario->correo); ?></td>
                        <td><?php echo e($secretario->iglesia->nombre ?? 'Sin asignar'); ?></td>
                        <td><?php echo e($secretario->iglesia->regional->nombre ?? 'Sin regional'); ?></td>
                        <td><?php echo e($secretario->fecha_de_nacimiento); ?></td>
                        <td>
                            <?php
                                $edad = \Carbon\Carbon::parse($secretario->fecha_de_nacimiento)->age;
                            ?>
                            <?php echo e($edad); ?> años
                        </td>
                        <td><?php echo e($secretario->estado ? 'Activo' : 'Inactivo'); ?></td>
                        <td>
                            <!-- Botón de Editar -->
                            <a href="<?php echo e(route('secretarios.edit', $secretario->id)); ?>" class="btn btn-warning btn-sm">
                                <i class="fas fa-edit"></i>
                            </a>
                            <!-- Botón de Activar/Desactivar -->
                            <form action="<?php echo e(route('secretarios.destroy', $secretario->id)); ?>" method="POST" style="display:inline;">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>
                                <button type="submit" class="btn btn-danger btn-sm">
                                    <i class="fas <?php echo e($secretario->estado ? 'fa-ban' : 'fa-check-circle'); ?>"></i>
                                </button>
                            </form>
                            <!-- Botón de Generar Usuario -->
                            <form action="<?php echo e(route('secretarios.generateUserForm', $secretario->id)); ?>" method="get" style="display:inline;">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="btn btn-success btn-sm">
                                    <i class="fas fa-user-cog"></i>
                                </button>
                            </form>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <tr>
                        <td colspan="11" class="text-center">No se encontraron resultados.</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
        <?php echo e($secretarios->links()); ?>

    </div>
</div>
</div>
</div>
</div>

</div>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

<!-- Incluir Select2 -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: 'Seleccione una opción',
            allowClear: true
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/secretarios/index.blade.php ENDPATH**/ ?>