<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Reporte - Pagos por Iglesia y Regional</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            font-size: 12px;
            background-color: #f4f4f4;
        }
        h3 {
            color: #2F4F4F;
            text-align: center;
            margin-top: 20px;
        }
        .report-header {
            text-align: right;
            font-size: 12px;
            margin: 10px 20px;
            color: #555;
        }
        .report-container {
            width: 100%;
            margin: 0 auto;
            padding: 20px;
            border: 1px solid #ddd;
            background-color: #fff;
        }
        .report-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            font-size: 12px;
        }
        .report-table th, .report-table td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: left;
        }
        .report-table th {
            background-color: #2F4F4F;
            color: white;
        }
        .report-table .total-row td {
            font-weight: bold;
            background-color: #f0f0f0;
        }
        .regional-title, .iglesia-title {
            font-size: 14px;
            font-weight: bold;
            margin-top: 30px;
            color: #333;
            border-bottom: 1px solid #ccc;
            padding-bottom: 5px;
        }
        .total-general {
            font-size: 14px;
            font-weight: bold;
            text-align: right;
            margin-top: 20px;
        }
        .report-footer {
            text-align: center;
            font-size: 10px;
            margin-top: 40px;
            color: #888;
        }
        .logo { height: 60px; }
        .title { font-size: 20px; font-weight: bold; text-align: center; margin: 0 auto; }
    </style>
</head>
<body>

<div class="report-container">
    <div class="report-header">
        <img src="<?php echo e(public_path('img/logo.png')); ?>" alt="Logo" class="logo">
        <div class="title">Grupo Evangélico BETESDA</div>
        <div class="report-date">Fecha y Hora del Reporte: <?php echo e(\Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s')); ?></div>
    </div>
    <!-- Encabezado del reporte con la fecha y hora -->
    <div class="report-header">
        Fecha y Hora del Reporte: <?php echo e(\Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s')); ?>

    </div>

    <!-- Título del reporte -->
    <h3>Pagos Realizados por Tipo de Certificado</h3>

    <!-- Tabla total de pagos por tipo de certificado -->
    <table class="report-table">
        <thead>
            <tr>
                <th>Tipo de Certificado</th>
                <th>Total Pagado (Bs)</th>
            </tr>
        </thead>
        <tbody>
            <?php $totalGeneral = 0; ?>
            <?php $__currentLoopData = $data['totalesPorTipo']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e(ucfirst($item->tipo)); ?></td>
                    <td><?php echo e(number_format($item->total_pagado, 2)); ?> Bs</td>
                </tr>
                <?php $totalGeneral += $item->total_pagado; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tr class="total-row">
                <td>Total General</td>
                <td><?php echo e(number_format($totalGeneral, 2)); ?> Bs</td>
            </tr>
        </tbody>
    </table>

    <!-- Separador -->
    <hr>

    <!-- Título de la sección de pagos por iglesia -->
    <h3>Pagos Realizados por Tipo de Certificado e Iglesia</h3>

    <!-- Agrupación por iglesia -->
    <?php
        $iglesiasAgrupadas = $data['porTipoEIglesia']->groupBy('iglesia_nombre');
    ?>

    <?php $__currentLoopData = $iglesiasAgrupadas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesiaNombre => $pagosPorIglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="iglesia-section">
            <!-- Título de la Iglesia -->
            <div class="iglesia-title">
                Iglesia: <?php echo e($iglesiaNombre ?? 'N/A'); ?>

            </div>

            <!-- Tabla de pagos por tipo de certificado en la iglesia -->
            <table class="report-table">
                <thead>
                    <tr>
                        <th>Tipo de Certificado</th>
                        <th>Total Pagado (Bs)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $totalPorIglesia = 0; ?>
                    <?php $__currentLoopData = $pagosPorIglesia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e(ucfirst($item->tipo)); ?></td>
                            <td><?php echo e(number_format($item->total_pagado, 2)); ?> Bs</td>
                        </tr>
                        <?php $totalPorIglesia += $item->total_pagado; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="total-row">
                        <td>Total en <?php echo e($iglesiaNombre); ?></td>
                        <td><?php echo e(number_format($totalPorIglesia, 2)); ?> Bs</td>
                    </tr>
                </tbody>
            </table>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <!-- Separador -->
    <hr>

    <!-- Título de la sección de pagos por regional -->
    <h3>Pagos Realizados por Regional</h3>

    <!-- Inicializar la variable para el total por regional -->
    <?php $totalGeneralRegional = 0; ?>

    <!-- Agrupación por regional -->
    <?php
        $regionalesAgrupadas = $data['porRegional']->groupBy('regional_nombre');
    ?>

    <?php $__currentLoopData = $regionalesAgrupadas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $regionalNombre => $pagosPorRegional): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="regional-section">
            <!-- Título de la Regional -->
            <div class="regional-title">
                Regional: <?php echo e($regionalNombre ?? 'N/A'); ?>

            </div>

            <!-- Tabla de pagos por tipo de certificado en la regional -->
            <table class="report-table">
                <thead>
                    <tr>
                        <th>Tipo de Certificado</th>
                        <th>Total Pagado (Bs)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $totalPorRegional = 0; ?>
                    <?php $__currentLoopData = $pagosPorRegional; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e(ucfirst($item->tipo)); ?></td>
                            <td><?php echo e(number_format($item->total_pagado, 2)); ?> Bs</td>
                        </tr>
                        <?php 
                            $totalPorRegional += $item->total_pagado; 
                            $totalGeneralRegional += $item->total_pagado; 
                        ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="total-row">
                        <td>Total en <?php echo e($regionalNombre); ?></td>
                        <td><?php echo e(number_format($totalPorRegional, 2)); ?> Bs</td>
                    </tr>
                </tbody>
            </table>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <!-- Total General al final del reporte -->
    <div class="total-general">
        Total General de Pagos: <?php echo e(number_format($totalGeneral )); ?> Bs
    </div>

    <!-- Pie de página del reporte -->
    <div class="report-footer">
        Reporte generado automáticamente por el sistema.
    </div>
</div>

</body>
</html>
<?php /**PATH /home/sananton/public_html/betesda/resources/views/reportes/pdf_pagos_por_iglesia.blade.php ENDPATH**/ ?>