<!DOCTYPE html>
<html>
<head>
    <title>Reporte de Pagos Completos</title>
    <style>
        body {
            font-family: 'Helvetica', sans-serif;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .header {
            text-align: center;
            margin-bottom: 40px;
        }
        .date {
            text-align: right;
            font-size: 12px;
            margin-bottom: 20px;
        }
        .total {
            font-weight: bold;
            font-size: 16px;
            text-align: right;
        }
    </style>
</head>
<body>
    <div class="header">
        <h1>Reporte de Pagos Completos</h1>
    </div>

    <div class="date">
        Fecha de generación: <?php echo e(\Carbon\Carbon::now()->format('d/m/Y H:i:s')); ?>

    </div>

    <table>
        <thead>
            <tr>
                <th>Número</th>
                <th>Folio</th>
                <th>Iglesia</th>
                <th>Monto Pagado</th>
                <th>Fecha de Pago</th>
                <th>Registrado por</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $pagosCompletos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $certificado->pagos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($certificado->numero); ?></td>
                        <td><?php echo e($certificado->folio); ?></td>
                        <td><?php echo e($certificado->iglesia->nombre ?? 'N/A'); ?></td>
                        <td><?php echo e(number_format($pago->monto_pagado, 2)); ?></td>
                        <td><?php echo e(\Carbon\Carbon::parse($pago->fecha_de_pago)->format('d/m/Y H:i:s')); ?></td>
                        <td><?php echo e($pago->usuario->name); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <p class="total">Monto Total Pagado: <?php echo e(number_format($montoTotal, 2)); ?></p>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/pagos/pdf.blade.php ENDPATH**/ ?>