

<?php $__env->startSection('content'); ?>

    <h3 class="text-center" style="color: #eeeff4;">Listado de Iglesias</h3>
      <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <!-- Botones de acciones -->
    <div class="d-flex justify-content-start mb-3">
        <a href="<?php echo e(route('iglesias.create')); ?>" class="btn btn-primary mr-2">
            <i class="fas fa-plus-circle"></i> Agregar Iglesia
        </a>
        <a href="<?php echo e(route('iglesias.index')); ?>" class="btn btn-primary">
            <i class="fas fa-eye"></i> Ver todas
        </a>
    </div>

    <!-- Mensaje de éxito -->
    <?php if($message = Session::get('success')): ?>
    <div class="alert alert-success">
        <?php echo e($message); ?>

    </div>
    <?php endif; ?>

    <!-- Formulario de búsqueda y filtrado -->
    <form action="<?php echo e(route('iglesias.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <div class="col-md-4">
                <input type="text" name="nombre" class="form-control" placeholder="Buscar por nombre" value="<?php echo e(request('nombre')); ?>">
            </div>
            <div class="col-md-4">
                <select name="regional_id" class="form-control">
                    <option value="">Filtrar por Regional</option>
                    <?php $__currentLoopData = $regionales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $regional): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($regional->id); ?>" <?php echo e(request('regional_id') == $regional->id ? 'selected' : ''); ?>>
                        <?php echo e($regional->nombre); ?>

                    </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-4">
                <button type="submit" class="btn btn-primary">
                    <i class="fas fa-search"></i> Buscar
                </button>
                <a href="<?php echo e(route('iglesias.index')); ?>" class="btn btn-secondary">
                    <i class="fas fa-times"></i> Limpiar
                </a>
            </div>
        </div>
    </form>

    <!-- Tabla de iglesias -->
    <div class="table-responsive">
        <table class="table table-striped table-hover">
            <thead style="background-color:#4b55ec;">
                <tr>
                    <th style="color:#fff;">Nombre</th>
                    <th style="color:#fff;">Ubicación</th>
                    <th style="color:#fff;">Regional</th>
                    <th style="color:#fff;">Estado</th>
                    <th style="color:#fff;">Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($iglesia->nombre); ?></td>
                    <td><?php echo e($iglesia->ubicacion); ?></td>
                    <td><?php echo e($iglesia->regional->nombre); ?></td>
                    <td>
                        <span class="badge <?php echo e($iglesia->estado ? 'bg-success' : 'bg-secondary'); ?>">
                            <?php echo e($iglesia->estado ? 'Activo' : 'Inactivo'); ?>

                        </span>
                    </td>
                    <td>
                        <!-- Botón de editar -->
                        <a href="<?php echo e(route('iglesias.edit', $iglesia->id)); ?>" class="btn btn-warning btn-sm">
                            <i class="fas fa-edit"></i> <!-- Icono de edición -->
                        </a>
                        <!-- Botón de activar/desactivar -->
                        <form action="<?php echo e(route('iglesias.destroy', $iglesia->id)); ?>" method="POST" style="display:inline;">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('¿Estás seguro de querer cambiar el estado de esta iglesia?')">
                                <i class="fas <?php echo e($iglesia->estado ? 'fa-ban' : 'fa-check-circle'); ?>"></i> <!-- Icono de activar/desactivar -->
                            </button>
                        </form>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <?php echo e($iglesias->links()); ?>

    </div>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/iglesias/index.blade.php ENDPATH**/ ?>