

<?php $__env->startSection('content'); ?>

    <h3 class="text-center" style="color: #eeeff4;">Listado de Certificados</h3>
    
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <!-- Botón de registrar certificado con icono -->
    <a href="<?php echo e(route('certificados.create')); ?>" class="btn btn-primary mb-3">
        <i class="fas fa-file-alt"></i> <!-- Icono de archivo nuevo -->
    </a>

    <?php if($message = Session::get('success')): ?>
    <div class="alert alert-success">
        <?php echo e($message); ?>

    </div>
    <?php endif; ?>

    <!-- Formulario de búsqueda y filtrado -->
    <form action="<?php echo e(route('certificados.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <div class="col-md-3">
                <input type="text" name="numero" class="form-control" placeholder="Buscar por número" value="<?php echo e(request('numero')); ?>">
            </div>
            <div class="col-md-3">
                <input type="text" name="folio" class="form-control" placeholder="Buscar por folio" value="<?php echo e(request('folio')); ?>">
            </div>
            <div class="col-md-3">
                <select name="tipo" class="form-control">
                    <option value="">Filtrar por tipo</option>
                    <option value="bautismo" <?php echo e(request('tipo') == 'bautismo' ? 'selected' : ''); ?>>Bautismo</option>
                    <option value="matrimonio" <?php echo e(request('tipo') == 'matrimonio' ? 'selected' : ''); ?>>Matrimonio</option>
                    <option value="consagracion" <?php echo e(request('tipo') == 'consagracion' ? 'selected' : ''); ?>>Consagración</option>
                </select>
            </div>
            <div class="col-md-3">
                <input type="date" name="fecha" class="form-control" value="<?php echo e(request('fecha')); ?>">
            </div>
            <div class="col-md-12 mt-2">
                <button type="submit" class="btn btn-primary">
                    <i class="fas fa-search"></i> <!-- Icono de búsqueda -->
                </button>
                <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-secondary">
                    <i class="fas fa-times"></i> <!-- Icono de limpiar -->
                </a>
            </div>
        </div>
    </form>

    <!-- Tabla de certificados -->
    <div class="table-responsive">
    <table class="table table-striped table-hover">
        <thead style="background-color:#2f2bec">
            <tr>
                <th style="color:#fff">Tipo</th>
                <th style="color:#fff">Fecha</th>
                <th style="color:#fff">Iglesia</th>
                <th style="color:#fff">Folio</th>
                <th style="color:#fff">Estado de Pago</th>
                <th style="color:#fff">Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $certificados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e(ucfirst($certificado->tipo)); ?></td>
                <td>
                    <?php if($certificado->tipo == 'matrimonio'): ?>
                        <?php echo e($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-'); ?>

                    <?php else: ?>
                        <?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?>

                    <?php endif; ?>
                </td>
                <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                <td><?php echo e($certificado->folio ?? '-'); ?></td>
                <td>
                    <?php if($certificado->tipo === 'bautismo'): ?>
                        <span class="badge bg-secondary">No aplicable</span>
                    <?php else: ?>
                        <span class="badge bg-<?php echo e($certificado->pagoCompleto() ? 'success' : 'warning'); ?>">
                            <?php echo e($certificado->pagoCompleto() ? 'Completo' : 'Incompleto'); ?>

                        </span>
                    <?php endif; ?>
                </td>
                <td>
                    <!-- Botón de Ver -->
                    <a href="<?php echo e(route('certificados.show', $certificado->id)); ?>" class="btn btn-info btn-sm">
                        <i class="fas fa-eye"></i> <!-- Icono de ver -->
                    </a>
                    <!-- Botón de Editar -->
                    <a href="<?php echo e(route('certificados.edit', $certificado->id)); ?>" class="btn btn-warning btn-sm">
                        <i class="fas fa-edit"></i> <!-- Icono de edición -->
                    </a>
                    <!-- Botón de Pagar -->
                    <?php if($certificado->tipo === 'consagracion' || $certificado->tipo === 'matrimonio'): ?>
                        <?php if(!$certificado->pagoCompleto()): ?>
                            <a href="<?php echo e(route('pagos.create', $certificado->id)); ?>" class="btn btn-primary btn-sm">
                                <i class="fas fa-credit-card"></i> <!-- Icono de pago -->
                            </a>
                        <?php endif; ?>
                    <?php endif; ?>
                    <!-- Botón de Descargar Certificado -->
                    <?php if(($certificado->tipo === 'bautismo') || ($certificado->pagoCompleto() && ($certificado->tipo === 'matrimonio' || $certificado->tipo === 'consagracion'))): ?>
                        <a href="<?php echo e(route('certificados.pdf', $certificado->id)); ?>" class="btn btn-danger btn-sm">
                            <i class="fas fa-file-download"></i> <!-- Icono de descarga -->
                        </a>
                    <?php endif; ?>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    </div>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/certificados/index.blade.php ENDPATH**/ ?>