

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Listado de Regionales</h3>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <!-- Botón de agregar regional con icono -->
    <a href="<?php echo e(route('regionales.create')); ?>" class="btn btn-primary mb-3">
        <i class="fas fa-plus-circle"></i> <!-- Icono de agregar -->
    </a>

    <!-- Mensaje de éxito -->
    <?php if($message = Session::get('success')): ?>
    <div class="alert alert-success">
        <?php echo e($message); ?>

    </div>
    <?php endif; ?>

    <!-- Tabla de regionales -->
    <table class="table table-striped mt-2">
        <thead style="background-color:#2f2bec">
            <tr>
                <th style="color:#fff">Nombre</th>
                <th style="color:#fff">Teléfono</th>
                <th style="color:#fff">Estado</th>
                <th style="color:#fff">Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $regionales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $regionale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($regionale->nombre); ?></td>
                <td><?php echo e($regionale->telefono); ?></td>
                <td><?php echo e($regionale->estado ? 'Activo' : 'Inactivo'); ?></td>
                <td>
                    <!-- Botón de editar -->
                    <a href="<?php echo e(route('regionales.edit', $regionale->id)); ?>" class="btn btn-warning btn-sm">
                        <i class="fas fa-edit"></i> <!-- Icono de edición -->
                    </a>
                    <!-- Botón de activar/desactivar -->
                    <form action="<?php echo e(route('regionales.destroy', $regionale->id)); ?>" method="POST" style="display:inline;">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="btn btn-danger btn-sm">
                            <i class="fas <?php echo e($regionale->estado ? 'fa-ban' : 'fa-check-circle'); ?>"></i> <!-- Icono de activar/desactivar -->
                        </button>
                    </form>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/regionales/index.blade.php ENDPATH**/ ?>