

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Detalles del Certificado - <?php echo e(ucfirst($certificado->tipo)); ?></h3>
    
    <table class="table table-bordered">
        <tr>
            <th>Tipo</th>
            <td><?php echo e(ucfirst($certificado->tipo)); ?></td>
        </tr>
        
        <!-- Mostrar el miembro si aplica -->
        <?php if($certificado->miembro): ?>
        <tr>
            <th>Hermano(a) / Niño(a)</th>
            <td><?php echo e($certificado->miembro->nombre); ?> <?php echo e($certificado->miembro->apellidos); ?></td>
        </tr>
        <?php endif; ?>

        <!-- Iglesia -->
        <?php if($certificado->iglesia): ?>
        <tr>
            <th>Iglesia</th>
            <td><?php echo e($certificado->iglesia->nombre); ?></td>
        </tr>
        <?php endif; ?>
        
        <!-- Mostrar Señor (miembro o nombre ingresado manualmente) -->
        <?php if($certificado->miembro_senor_id): ?>
        <tr>
            <th>Señor</th>
            <td><?php echo e($certificado->senorMiembro->nombre); ?> <?php echo e($certificado->senorMiembro->apellidos); ?></td>
        </tr>
        <?php elseif($certificado->senor): ?>
        <tr>
            <th>Señor</th>
            <td><?php echo e($certificado->senor); ?></td>
        </tr>
        <?php endif; ?>

        <!-- Mostrar Señora (miembro o nombre ingresado manualmente) -->
        <?php if($certificado->miembro_senora_id): ?>
        <tr>
            <th>Señora</th>
            <td><?php echo e($certificado->senoraMiembro->nombre); ?> <?php echo e($certificado->senoraMiembro->apellidos); ?></td>
        </tr>
        <?php elseif($certificado->senora): ?>
        <tr>
            <th>Señora</th>
            <td><?php echo e($certificado->senora); ?></td>
        </tr>
        <?php endif; ?>
        <?php if($certificado->padre): ?>
        <tr>
            <th>Padre</th>
            <td><?php echo e($certificado->padre); ?></td>
        </tr>
        <?php endif; ?>
        <?php if($certificado->madre): ?>
        <tr>
            <th>Madre</th>
            <td><?php echo e($certificado->madre); ?></td>
        </tr>
        <?php endif; ?>
        <?php if($certificado->lugar): ?>
        <tr>
            <th>En(Lugar)</th>
            <td><?php echo e($certificado->lugar); ?></td>
        </tr>
        <?php endif; ?>
        <!-- Número del certificado -->
        <tr>
            <th>Número del Certificado</th>
            <td><?php echo e($certificado->numero ?? '-'); ?></td>
        </tr>

        <!-- Folio -->
        <tr>
            <th>Folio</th>
            <td><?php echo e($certificado->folio ?? '-'); ?></td>
        </tr>

        <!-- Notaría -->
        <?php if($certificado->notaria_numero): ?>
        <tr>
            <th>Número de Notaría</th>
            <td><?php echo e($certificado->notaria_numero); ?></td>
        </tr>
        <?php endif; ?>

        <!-- Número de Libro -->
        <?php if($certificado->libro_numero): ?>
        <tr>
            <th>Número de Libro</th>
            <td><?php echo e($certificado->libro_numero); ?></td>
        </tr>
        <?php endif; ?>
        
        <tr>
            <th>Fecha</th>
            <?php if($certificado->tipo === 'matrimonio'): ?>
                <td><?php echo e($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-'); ?></td>
            <?php else: ?>
                <td><?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?></td>
            <?php endif; ?>
        </tr>
    </table>
    
    <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-danger">Volver</a>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/certificados/show.blade.php ENDPATH**/ ?>