<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Inicio</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <!-- Mensaje de bienvenida -->
                            <h3 class="text-center text-primary">¡Bienvenido, <?php echo e($user->name); ?>!</h3>
                            <p class="text-center text-muted">Estamos encantados de tenerte de vuelta.</p>
                            <hr>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("administrador")): ?>
                            <!-- Filtro de fechas -->
                            <form action="<?php echo e(route('home')); ?>" method="GET" class="mb-4">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="start_date" class="text-secondary">Fecha de inicio</label>
                                        <input type="date" name="start_date" class="form-control" value="<?php echo e($startDate); ?>">
                                    </div>
                                    <div class="col-md-4">
                                        <label for="end_date" class="text-secondary">Fecha de fin</label>
                                        <input type="date" name="end_date" class="form-control" value="<?php echo e($endDate); ?>">
                                    </div>
                                    <div class="col-md-4 align-self-end">
                                        <button type="submit" class="btn btn-primary mt-3 w-100">Filtrar</button>
                                    </div>
                                </div>
                            </form>

                            <!-- Estadísticas de certificados por tipo -->
                            <h4 class="mt-4 text-center text-info"><i class="fas fa-certificate"></i> Certificados por Tipo</h4>
                            <div class="row">
                                <?php $__currentLoopData = $certificadosPorTipo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-md-4">
                                        <div class="card shadow-sm mb-4" style="border-left: 5px solid #00aaff;">
                                            <div class="card-body text-center">
                                                <h5 class="text-capitalize"><?php echo e(ucfirst($certificado->tipo)); ?></h5>
                                                <p class="h2 text-primary"><strong><?php echo e($certificado->total); ?></strong></p>
                                                <p class="text-muted">Certificados</p>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>

                            <!-- Total pagado por tipo de certificado -->
                            <h4 class="mt-4 text-center text-success"><i class="fas fa-money-bill-wave"></i> Total Pagado por Certificados</h4>
                            <div class="row">
                                <?php $__currentLoopData = $totalPagadoPorTipo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-md-4">
                                        <div class="card shadow-sm mb-4" style="border-left: 5px solid #28a745;">
                                            <div class="card-body text-center">
                                                <h5 class="text-capitalize"><?php echo e(ucfirst($pago->tipo)); ?></h5>
                                                <p class="h2 text-success"><strong><?php echo e(number_format($pago->total_pagado, 2)); ?> Bs</strong></p>
                                                <p class="text-muted">Pagado</p>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>

                            <!-- Más estadísticas o información relevante pueden añadirse aquí -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/home.blade.php ENDPATH**/ ?>