

<?php $__env->startSection('content'); ?>

    <h3 class="text-center" style="color: #eeeff4;">Reportes Detallados de Certificados</h3>
 <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <!-- Filtros avanzados -->
    <div class="card mb-4 shadow-sm">
        <div class="card-header bg-info text-white">Filtros de Reporte</div>
        <div class="card-body">
            <form method="GET" action="<?php echo e(route('reportes.certificados_detallados')); ?>" class="row">
                <div class="col-md-4 mb-3">
                    <label for="fecha_inicio" class="form-label">Fecha Inicio</label>
                    <input type="date" name="fecha_inicio" class="form-control" value="<?php echo e(request('fecha_inicio')); ?>">
                </div>
                <div class="col-md-4 mb-3">
                    <label for="fecha_fin" class="form-label">Fecha Fin</label>
                    <input type="date" name="fecha_fin" class="form-control" value="<?php echo e(request('fecha_fin')); ?>">
                </div>
                <div class="col-md-4 d-flex align-items-end">
                    <button type="submit" class="btn btn-primary w-100">Filtrar</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Botones de acciones -->
    <div class="d-flex justify-content-end mb-3">
        <a href="<?php echo e(route('reportes.descargar', ['tipoReporte' => 'certificados_detallados', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')])); ?>" class="btn btn-secondary mr-2">Descargar PDF</a>
        <a href="<?php echo e(route('reportes.certificados_detallados')); ?>" class="btn btn-warning">Ver Todos</a>
    </div>

    <!-- Tablas de Certificados -->
    <?php
        $sections = [
            ['title' => 'Certificados de Bautismo', 'data' => $certificadosBautismo, 'columns' => ['Nombre Miembro', 'Iglesia', 'Regional', 'Folio', 'Otorgado', 'Lugar', 'Fecha de Registro']],
            ['title' => 'Certificados de Matrimonio', 'data' => $certificadosMatrimonio, 'columns' => ['Señor', 'Señora', 'Iglesia', 'Regional', 'Notaría Nº', 'Libro Nº', 'Fecha de Matrimonio']],
            ['title' => 'Certificados de Consagración', 'data' => $certificadosConsagracion, 'columns' => ['Nombre Miembro', 'Iglesia', 'Regional', 'Folio', 'Padre', 'Madre', 'Fecha de Registro']]
        ];
    ?>

    <?php $__currentLoopData = $sections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $section): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <h4 class="text-info mt-4"><?php echo e($section['title']); ?></h4>
        <div class="table-responsive mb-4 shadow-sm">
            <table class="table table-bordered table-hover">
                <thead class="thead-dark">
                    <tr>
                        <?php $__currentLoopData = $section['columns']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $column): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <th><?php echo e($column); ?></th>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $section['data']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($certificado->miembro ? $certificado->miembro->nombre . ' ' . $certificado->miembro->apellidos : '-'); ?></td>
                            <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                            <td><?php echo e($certificado->iglesia && $certificado->iglesia->regional ? $certificado->iglesia->regional->nombre : '-'); ?></td>
                            <td><?php echo e($certificado->folio ?? '-'); ?></td>
                            <td><?php echo e($section['title'] === 'Certificados de Matrimonio' ? $certificado->notaria_numero ?? '-' : ($section['title'] === 'Certificados de Bautismo' ? $certificado->otorgado ?? '-' : $certificado->padre ?? '-')); ?></td>
                            <td><?php echo e($section['title'] === 'Certificados de Matrimonio' ? $certificado->libro_numero ?? '-' : ($section['title'] === 'Certificados de Bautismo' ? $certificado->lugar ?? '-' : $certificado->madre ?? '-')); ?></td>
                            <td><?php echo e($section['title'] === 'Certificados de Matrimonio' ? ($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-') : ($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-')); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/reportes/certificados_detallado.blade.php ENDPATH**/ ?>