<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Iglesia extends Model
{
    use HasFactory;

    // Definir la tabla asociada (si no sigue la convención de nombres)
    protected $table = 'iglesias';

    // Definir los campos asignables en masa
    protected $fillable = ['nombre', 'ubicacion', 'regional_id','estado '];

    /**
     * Relación con la tabla Regionales.
     * Una iglesia pertenece a una regional.
     */
    public function regional()
    {
        return $this->belongsTo(Regional::class);
    }
    public function miembros()
{
    return $this->hasMany(Miembro::class);
}
public function secretarios()
{
    return $this->hasMany(Secretario::class);
}
}
