<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pago extends Model
{
    use HasFactory;

    protected $fillable = [
        'certificado_id',
        'monto_a_pagar',
        'monto_pagado',
        'fecha_de_pago',
        'usuario_id',
        'estado'
    ];

    /**
     * Relación con el modelo Certificado.
     */
    public function certificado()
    {
        return $this->belongsTo(Certificado::class);
    }

    /**
     * Relación con el modelo User.
     */
    public function usuario()
    {
        return $this->belongsTo(User::class);
    }
}
