<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCertificadosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('certificados', function (Blueprint $table) {
            $table->id();
            $table->string('tipo'); // 'bautismo', 'matrimonio', 'consagracion'
            $table->unsignedBigInteger('miembro_id')->nullable(); // Para 'hermano(a)' o 'niño(a)'
            $table->unsignedBigInteger('iglesia_id')->nullable(); // Para 'iglesia'
            $table->string('numero')->nullable(); // n° certificado (para bautismo, matrimonio, consagracion)
            $table->string('folio')->nullable(); // Folio del certificado
            $table->string('otorgado')->nullable(); // Para 'otorgado' en bautismo
            $table->string('lugar')->nullable(); // 'En (lugar)' para bautismo
            $table->date('fecha')->nullable(); // Fecha general (puede ser utilizada por los tres tipos)
            $table->string('senor')->nullable(); // Para 'señor' en matrimonio
            $table->string('senora')->nullable(); // Para 'señora' en matrimonio
            $table->string('notaria_numero')->nullable(); // Para 'notaria n°' en matrimonio
            $table->string('libro_numero')->nullable(); // Para 'n° libro' en matrimonio
            $table->date('fecha_matrimonio')->nullable(); // Para 'fecha matrimonio' en matrimonio
            $table->string('padre')->nullable(); // Para 'señores' (padre) en consagración
            $table->string('madre')->nullable(); // Para 'señores' (madre) en consagración
            $table->timestamps();

            // Relaciones
            $table->foreign('miembro_id')->references('id')->on('miembros')->onDelete('set null');
            $table->foreign('iglesia_id')->references('id')->on('iglesias')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('certificados');
    }
}
