<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePagosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pagos', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('certificado_id');
            $table->decimal('monto_a_pagar', 10, 2);
            $table->decimal('monto_pagado', 10, 2);
            $table->datetime('fecha_de_pago');
            $table->unsignedBigInteger('usuario_id');
            $table->enum('estado', ['incompleto', 'completo'])->default('incompleto');
            $table->timestamps();

            // Claves foráneas
            $table->foreign('certificado_id')->references('id')->on('certificados')->onDelete('cascade');
            $table->foreign('usuario_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pagos');
    }
}
