<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMiembroSenorSenoraToCertificadosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('certificados', function (Blueprint $table) {
            $table->unsignedBigInteger('miembro_senor_id')->nullable()->after('senor');
            $table->unsignedBigInteger('miembro_senora_id')->nullable()->after('senora');
    
            // Opcional: Si quieres agregar las claves foráneas
            $table->foreign('miembro_senor_id')->references('id')->on('miembros')->onDelete('set null');
            $table->foreign('miembro_senora_id')->references('id')->on('miembros')->onDelete('set null');
        });
    }
    
    public function down()
    {
        Schema::table('certificados', function (Blueprint $table) {
            $table->dropForeign(['miembro_senor_id']);
            $table->dropForeign(['miembro_senora_id']);
            $table->dropColumn(['miembro_senor_id', 'miembro_senora_id']);
        });
    }
    
}
