@extends('layouts.app')

@section('content')
<div class="container">
    <div class="section-header">
        <h3 class="page__heading" style="font-size: 24px; color: white;">Agregar imagen para QR</h3>
    </div>
    <form action="{{ route('QR.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="form-group">
            <label for="fecha">Fecha:</label>
            <input type="date" name="fecha" class="form-control" required min="{{ \Carbon\Carbon::now()->format('Y-m-d') }}">
            @error('fecha')
                <span class="text-danger">{{ $message }}</span>
            @enderror
        </div>
        <div class="form-group">
            <label for="fechav">Fecha vencimiento:</label>
            <input type="date" name="fechav" class="form-control" required min="{{ \Carbon\Carbon::now()->format('Y-m-d') }}">
            @error('fechav')
                <span class="text-danger">{{ $message }}</span>
            @enderror
        </div>
        <div class="form-group">
            <label for="fotoqr">Foto:</label>
            <input type="file" name="fotoqr" class="form-control-file">
            @error('fotoqr')
                <span class="text-danger">{{ $message }}</span>
            @enderror
        </div>
        <button type="submit" class="btn btn-primary">Guardar</button>
    </form>
</div>
@endsection
