@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Certificado de Bautismo</h3>
    <form action="{{ route('certificados.update', $certificado->id) }}" method="POST">
        @csrf
        @method('PUT')

        <input type="hidden" name="tipo" value="bautismo">

        <div class="form-group">
            <label for="miembro_id">Hermano(a)</label>
            <select name="miembro_id" class="select2 form-control">
                <option value="">Seleccione un miembro...</option>
                @foreach($miembros as $miembro)
                    <option value="{{ $miembro->id }}" {{ $miembro->id == $certificado->miembro_id ? 'selected' : '' }}>
                        {{ $miembro->nombre }} {{ $miembro->apellidos }}
                    </option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="numero">Número</label>
            <input type="text" name="numero" class="form-control" value="{{ $certificado->numero }}">
        </div>
        <div class="form-group">
            <label for="folio">Folio</label>
            <input type="text" name="folio" class="form-control" value="{{ $certificado->folio }}">
        </div>
        <div class="form-group">
            <label for="otorgado">Otorgado por:</label>
            <input type="text" name="otorgado" class="form-control" value="{{ $certificado->otorgado }}">
        </div>
        <div class="form-group">
            <label for="lugar">En (lugar)</label>
            <input type="text" name="lugar" class="form-control" value="{{ $certificado->lugar }}">
        </div>
        <div class="form-group">
            <label for="fecha">Fecha</label>
            <input type="date" name="fecha" class="form-control" value="{{ $certificado->fecha }}">
        </div>

        <button type="submit" class="btn btn-success">Actualizar Certificado</button>
        <a href="{{ route('certificados.index') }}" class="btn btn-secondary">Cancelar</a>
    </form>
</div>
@endsection
