@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Certificado de Matrimonio</h3>
    <form action="{{ route('certificados.update', $certificado->id) }}" method="POST">
        @csrf
        @method('PUT')

        <input type="hidden" name="tipo" value="matrimonio">

        <div class="form-group">
            <label for="miembro_senor">Señor (Seleccione un miembro o ingrese manualmente)</label>
            <select id="miembro_senor" name="miembro_senor_id" class="form-control select2">
                <option value="">Seleccione un miembro...</option>
                @foreach($miembros as $miembro)
                    <option value="{{ $miembro->id }}" {{ $miembro->id == $certificado->miembro_senor_id ? 'selected' : '' }}>
                        {{ $miembro->nombre }} {{ $miembro->apellidos }}
                    </option>
                @endforeach
            </select>
            <input type="text" id="senor_input" name="senor" class="form-control mt-2"
                   value="{{ $certificado->senor }}" style="{{ $certificado->miembro_senor_id ? 'display: none;' : '' }}"
                   placeholder="Ingrese el nombre del señor">
        </div>

        <div class="form-group">
            <label for="miembro_senora">Señora (Seleccione un miembro o ingrese manualmente)</label>
            <select id="miembro_senora" name="miembro_senora_id" class="form-control select2">
                <option value="">Seleccione un miembro...</option>
                @foreach($miembros as $miembro)
                    <option value="{{ $miembro->id }}" {{ $miembro->id == $certificado->miembro_senora_id ? 'selected' : '' }}>
                        {{ $miembro->nombre }} {{ $miembro->apellidos }}
                    </option>
                @endforeach
            </select>
            <input type="text" id="senora_input" name="senora" class="form-control mt-2"
                   value="{{ $certificado->senora }}" style="{{ $certificado->miembro_senora_id ? 'display: none;' : '' }}"
                   placeholder="Ingrese el nombre de la señora">
        </div>

        <div class="form-group">
            <label for="iglesia_id">Iglesia</label>
            <select name="iglesia_id" class="form-control">
                <option value="">Seleccione una iglesia...</option>
                @foreach($iglesias as $iglesia)
                    <option value="{{ $iglesia->id }}" {{ $iglesia->id == $certificado->iglesia_id ? 'selected' : '' }}>
                        {{ $iglesia->nombre }}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="form-group">
            <label for="numero">Número Certificado</label>
            <input type="text" name="numero" class="form-control" value="{{ $certificado->numero }}">
        </div>

        <div class="form-group">
            <label for="notaria_numero">Notaría Número</label>
            <input type="text" name="notaria_numero" class="form-control" value="{{ $certificado->notaria_numero }}">
        </div>

        <div class="form-group">
            <label for="libro_numero">Número Libro</label>
            <input type="text" name="libro_numero" class="form-control" value="{{ $certificado->libro_numero }}">
        </div>

        <div class="form-group">
            <label for="folio">Folio</label>
            <input type="text" name="folio" class="form-control" value="{{ $certificado->folio }}">
        </div>

        <div class="form-group">
            <label for="fecha_matrimonio">Fecha de Matrimonio</label>
            <input type="date" name="fecha_matrimonio" class="form-control" value="{{ $certificado->fecha_matrimonio }}">
        </div>

        <button type="submit" class="btn btn-success">Actualizar Certificado</button>
        <a href="{{ route('certificados.index') }}" class="btn btn-secondary">Cancelar</a>
    </form>
</div>

<script>
    $(document).ready(function() {
        $('#miembro_senor').change(function() {
            $('#senor_input').toggle(!$(this).val());
        });

        $('#miembro_senora').change(function() {
            $('#senora_input').toggle(!$(this).val());
        });
    });
</script>
@endsection
