@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Agregar Nueva Iglesia</h3>
    <form action="{{ route('iglesias.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="nombre">Nombre de la Iglesia</label>
            <input type="text" name="nombre" id="nombre" class="form-control" required oninput="this.value = this.value.toUpperCase()">
            @error('nombre')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <div class="form-group">
            <label for="ubicacion">Ubicación</label>
            <input type="text" name="ubicacion" id="ubicacion" class="form-control" required oninput="capitalize(this)">
            @error('ubicacion')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <div class="form-group">
            <label for="regional_id">Regional</label>
            <select name="regional_id" id="regional_id" class="form-control" required>
                <option value="">Seleccione una Regional</option>
                @foreach ($regionales as $regional)
                <option value="{{ $regional->id }}">{{ $regional->nombre }}</option>
                @endforeach
            </select>
            @error('regional_id')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <button type="submit" class="btn btn-success mt-3">Guardar</button>
        <a href="{{ route('iglesias.index') }}" class="btn btn-secondary mt-3">Cancelar</a>
    </form>
</div>

<script>
    // Función para capitalizar la primera letra de cada palabra
    function capitalize(input) {
        input.value = input.value.toLowerCase().replace(/\b\w/g, function(char) {
            return char.toUpperCase();
        });
    }
</script>
@endsection
