@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Iglesia</h3>
    <form action="{{ route('iglesias.update', $iglesia->id) }}" method="POST">
        @csrf
        @method('PUT')
        <div class="form-group">
            <label for="nombre">Nombre de la Iglesia</label>
            <input type="text" name="nombre" id="nombre" class="form-control" value="{{ $iglesia->nombre }}" required>
            @error('nombre')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <div class="form-group">
            <label for="ubicacion">Ubicación</label>
            <input type="text" name="ubicacion" id="ubicacion" class="form-control" value="{{ $iglesia->ubicacion }}" required>
            @error('ubicacion')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <div class="form-group">
            <label for="regional_id">Regional</label>
            <select name="regional_id" id="regional_id" class="form-control" required>
                @foreach ($regionales as $regional)
                <option value="{{ $regional->id }}" {{ $iglesia->regional_id == $regional->id ? 'selected' : '' }}>
                    {{ $regional->nombre }}
                </option>
                @endforeach
            </select>
            @error('regional_id')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <button type="submit" class="btn btn-success mt-3">Actualizar</button>
        <a href="{{ route('iglesias.index') }}" class="btn btn-secondary mt-3">Cancelar</a> </form>
</div>
@endsection