@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center mb-4" style="color: #eeeff4;">Mis Certificados</h3>

    @if($certificados->isEmpty())
        <div class="alert alert-info">
            Aún no tienes certificados registrados.
        </div>
    @else
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th>Tipo</th>
                    <th>Fecha</th>
                    <th>Iglesia</th>
                    <th>N°</th>
                    <th>Folio</th>
                    <th>Estado de Pago</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($certificados as $certificado)
                <tr>
                    <td>{{ ucfirst($certificado->tipo) }}</td>
                    <td>
                        @if($certificado->tipo == 'matrimonio')
                            {{ $certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-' }}
                        @else
                            {{ $certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-' }}
                        @endif
                    </td>
                    <td>{{ $certificado->iglesia ? $certificado->iglesia->nombre : '-' }}</td>
                    <td>{{ $certificado->numero ?? '-' }}</td>
                    <td>{{ $certificado->folio ?? '-' }}</td>
                    <td>
                        @if($certificado->tipo == 'bautismo')
                            <span class="badge bg-secondary">No aplica</span>
                        @else
                            <span class="badge bg-{{ $certificado->pagoCompleto() ? 'success' : 'warning' }}">
                                {{ $certificado->pagoCompleto() ? 'Completo' : 'Incompleto' }}
                            </span>
                        @endif
                    </td>
                    <td>
                        @if(($certificado->tipo === 'bautismo') || ($certificado->pagoCompleto() && ($certificado->tipo === 'matrimonio' || $certificado->tipo === 'consagracion')))
                        <a href="{{ route('certificados.pdf', $certificado->id) }}" class="btn btn-danger">Descargar Certificado</a>
                    @endif
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>
@endsection
