@extends('layouts.app')

@section('content')
<div class="container">
    <h3 style="color: #ffffff;">Certificados Emitidos por Tipo, Iglesia y Regional</h3>

    <!-- Filtro de fechas -->
    <form method="GET" action="{{ route('reportes.certificados_por_tipo') }}" class="form-inline mb-3">
        <label for="fecha_inicio">Fecha Inicio:</label>
        <input type="date" name="fecha_inicio" class="form-control mx-2" value="{{ request('fecha_inicio') }}">
        <label for="fecha_fin">Fecha Fin:</label>
        <input type="date" name="fecha_fin" class="form-control mx-2" value="{{ request('fecha_fin') }}">
        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('reportes.descargar', ['tipoReporte' => 'certificados_por_tipo', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')]) }}" class="btn btn-secondary ml-3">Descargar PDF</a>
        <a href="{{ route('reportes.certificados_por_tipo') }}" class="btn btn-warning ml-3">Ver todos</a> <!-- Botón de refrescar -->
    </form>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Tipo de Certificado</th>
                <th>Iglesia</th>
                <th>Regional</th>
                <th>Total</th>
                <th>Fecha de Registro</th>
            </tr>
        </thead>
        <tbody>
            @foreach($certificadosPorTipoData as $certificado)
                <tr>
                    <td>{{ ucfirst($certificado->tipo) }}</td>
                    <td>{{ $certificado->iglesia }}</td>
                    <td>{{ $certificado->regional }}</td>
                    <td>{{ $certificado->total }}</td>
                    <td>{{ \Carbon\Carbon::parse($certificado->created_at)->format('d/m/Y') }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
