@extends('layouts.app')

@section('content')
<div class="container">
    <h3 style="color: #ffffff;">Pagos Realizados por Iglesia y Regional</h3>

    <!-- Filtro de fechas -->
    <form method="GET" action="{{ route('reportes.pagos_por_iglesia') }}" class="form-inline mb-3">
        <label for="fecha_inicio">Fecha Inicio:</label>
        <input type="date" name="fecha_inicio" class="form-control mx-2" value="{{ request('fecha_inicio') }}">
        <label for="fecha_fin">Fecha Fin:</label>
        <input type="date" name="fecha_fin" class="form-control mx-2" value="{{ request('fecha_fin') }}">
        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('reportes.descargar', ['tipoReporte' => 'pagos_por_iglesia', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')]) }}" class="btn btn-secondary ml-3">Descargar PDF</a>
        <a href="{{ route('reportes.pagos_por_iglesia') }}" class="btn btn-warning ml-3">Ver todos</a> <!-- Botón de refrescar -->
    </form>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Iglesia</th>
                <th>Regional</th>
                <th>Total Pagado (Bs)</th>
                <th>Fecha de Pago</th> <!-- Nueva columna para mostrar la fecha de pago -->
            </tr>
        </thead>
        <tbody>
            @foreach($pagosPorIglesiaData as $pago)
                <tr>
                    <td>{{ $pago->iglesia }}</td>
                    <td>{{ $pago->regional }}</td>
                    <td>{{ $pago->total_pagado }} Bs</td>
                    <td>{{ \Carbon\Carbon::parse($pago->created_at)->format('d/m/Y') }}</td> <!-- Formato de fecha -->
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
