@extends('layouts.app')

@section('content')
<div class="container">
    <h3 style="color: #eeeff4;">Editar Secretario</h3>
    <form action="{{ route('secretarios.update', $secretario->id) }}" method="POST">
        @csrf
        @method('PUT')
        
        <div class="form-group">
            <label for="nombre">Nombre</label>
            <input type="text" name="nombre" id="nombre" class="form-control" value="{{ old('nombre', $secretario->nombre) }}" required>
            @error('nombre')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="apellidos">Apellidos</label>
            <input type="text" name="apellidos" id="apellidos" class="form-control" value="{{ old('apellidos', $secretario->apellidos) }}" required>
            @error('apellidos')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="carnet">Carnet</label>
            <input type="text" name="carnet" id="carnet" class="form-control" value="{{ old('carnet', $secretario->carnet) }}" required>
            @error('carnet')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="telefono">Teléfono</label>
            <input type="text" name="telefono" id="telefono" class="form-control" value="{{ old('telefono', $secretario->telefono) }}">
            @error('telefono')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="correo">Correo</label>
            <input type="email" name="correo" id="correo" class="form-control" value="{{ old('correo', $secretario->correo) }}">
            @error('correo')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="direccion">Dirección</label>
            <input type="text" name="direccion" id="direccion" class="form-control" value="{{ old('direccion', $secretario->direccion) }}">
            @error('direccion')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <div class="form-group">
            <label for="fecha_de_nacimiento">Fecha de Nacimiento</label>
            <input type="date" name="fecha_de_nacimiento" id="fecha_de_nacimiento" class="form-control" value="{{ old('fecha_de_nacimiento', $secretario->fecha_de_nacimiento) }}" required>
            @error('fecha_de_nacimiento')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <!-- Select de Iglesia -->
        <div class="form-group">
            <label for="iglesia_id">Iglesia</label>
            <select name="iglesia_id" id="iglesia_id" class="form-control select2">
                <option value="">Seleccione una iglesia</option>
                @foreach ($iglesias as $id => $nombre)
                    <option value="{{ $id }}" {{ old('iglesia_id', $secretario->iglesia_id) == $id ? 'selected' : '' }}>
                        {{ $nombre }}
                    </option>
                @endforeach
            </select>
            @error('iglesia_id')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>

        <button type="submit" class="btn btn-success mt-3">Actualizar</button>
        <a href="{{ route('secretarios.index') }}" class="btn btn-secondary mt-3">Cancelar</a>
    </form>
</div>

<!-- Incluir Select2 -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.select2').select2({
            placeholder: 'Seleccione una opción',
            allowClear: true
        });
    });
</script>
@endsection
