<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Reporte - Certificados Detallados</title>
    <style>
        body { font-family: Arial, sans-serif; font-size: 12px; }
        .report-container { width: 100%; padding: 20px; background-color: #fff; border: 1px solid #ddd; }
        h3, .section-title { color: #2F4F4F; text-align: center; margin-top: 20px; font-size: 18px; }
        .table { width: 100%; border-collapse: collapse; margin-top: 20px; }
        .table th, .table td { border: 1px solid #ccc; padding: 8px; text-align: left; }
        .table th { background-color: #2F4F4F; color: white; font-size: 14px; }
        .total-row td { font-weight: bold; background-color: #f0f0f0; }
        .header { display: flex; justify-content: space-between; margin-bottom: 20px; }
        .logo { height: 60px; }
        .header-info { text-align: right; font-size: 12px; }
        .footer { text-align: center; font-size: 10px; margin-top: 40px; color: #888; }
    </style>
</head>
<body>
    <div class="report-container">
        <!-- Header -->
        <div>
            <img src="<?php echo e(public_path('img/logo.png')); ?>" alt="Logo" class="logo">
            <div class="header-info">
                <div>Grupo Evangélico BETESDA</div>
                <div>Fecha del Reporte: <?php echo e(\Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s')); ?></div>
                <div>Período: <?php echo e($data['fechaInicio']); ?> - <?php echo e($data['fechaFin']); ?></div>
            </div>
            <div style="clear: both;"></div>
        </div>
        

        <h3>Certificados Detallados Emitidos</h3>

        <!-- Certificados de Bautismo -->
        <h3 class="section-title">Certificados de Bautismo</h3>
        <table class="table">
            <thead>
                <tr>
                    <th>Nombre Miembro</th>
                    <th>Iglesia</th>
                    <th>Regional</th>
                    <th>Folio</th>
                    <th>Otorgado</th>
                    <th>Lugar</th>
                    <th>Fecha de Registro</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $data['certificadosBautismo']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($certificado->miembro ? $certificado->miembro->nombre . ' ' . $certificado->miembro->apellidos : '-'); ?></td>
                        <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->iglesia && $certificado->iglesia->regional ? $certificado->iglesia->regional->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->folio ?? '-'); ?></td>
                        <td><?php echo e($certificado->otorgado ?? '-'); ?></td>
                        <td><?php echo e($certificado->lugar ?? '-'); ?></td>
                        <td><?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <!-- Certificados de Matrimonio -->
        <h3 class="section-title">Certificados de Matrimonio</h3>
        <table class="table">
            <thead>
                <tr>
                    <th>Señor</th>
                    <th>Señora</th>
                    <th>Iglesia</th>
                    <th>Regional</th>
                    <th>Notaría Nº</th>
                    <th>Libro Nº</th>
                    <th>Fecha de Matrimonio</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $data['certificadosMatrimonio']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($certificado->senorMiembro ? $certificado->senorMiembro->nombre . ' ' . $certificado->senorMiembro->apellidos : $certificado->senor ?? '-'); ?></td>
                        <td><?php echo e($certificado->senoraMiembro ? $certificado->senoraMiembro->nombre . ' ' . $certificado->senoraMiembro->apellidos : $certificado->senora ?? '-'); ?></td>
                        <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->iglesia && $certificado->iglesia->regional ? $certificado->iglesia->regional->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->notaria_numero ?? '-'); ?></td>
                        <td><?php echo e($certificado->libro_numero ?? '-'); ?></td>
                        <td><?php echo e($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-'); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <!-- Certificados de Consagración -->
        <h3 class="section-title">Certificados de Consagración</h3>
        <table class="table">
            <thead>
                <tr>
                    <th>Nombre Miembro</th>
                    <th>Iglesia</th>
                    <th>Regional</th>
                    <th>Folio</th>
                    <th>Padre</th>
                    <th>Madre</th>
                    <th>Fecha de Registro</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $data['certificadosConsagracion']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($certificado->miembro ? $certificado->miembro->nombre . ' ' . $certificado->miembro->apellidos : '-'); ?></td>
                        <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->iglesia && $certificado->iglesia->regional ? $certificado->iglesia->regional->nombre : '-'); ?></td>
                        <td><?php echo e($certificado->folio ?? '-'); ?></td>
                        <td><?php echo e($certificado->padre ?? '-'); ?></td>
                        <td><?php echo e($certificado->madre ?? '-'); ?></td>
                        <td><?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <!-- Footer -->
        <div class="footer">
            Reporte generado automáticamente por el sistema.
        </div>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/reportes/pdf_certificados_detallado.blade.php ENDPATH**/ ?>