

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Listado de Iglesias</h3>
    <a href="<?php echo e(route('iglesias.create')); ?>" class="btn btn-primary mb-3">Agregar Iglesia</a>
    <a href="<?php echo e(route('iglesias.index')); ?>" class="btn btn-primary mb-3">Ver todas</a>

    <?php if($message = Session::get('success')): ?>
    <div class="alert alert-success">
        <?php echo e($message); ?>

    </div>
    <?php endif; ?>

    <!-- Formulario de búsqueda y filtrado -->
    <form action="<?php echo e(route('iglesias.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <div class="col-md-4">
                <input type="text" name="nombre" class="form-control" placeholder="Buscar por nombre" value="<?php echo e(request('nombre')); ?>">
            </div>
            <div class="col-md-4">
                <select name="regional_id" class="form-control">
                    <option value="">Filtrar por Regional</option>
                    <?php $__currentLoopData = $regionales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $regional): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($regional->id); ?>" <?php echo e(request('regional_id') == $regional->id ? 'selected' : ''); ?>>
                        <?php echo e($regional->nombre); ?>

                    </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-4">
                <button type="submit" class="btn btn-primary">Buscar</button>
                <a href="<?php echo e(route('iglesias.index')); ?>" class="btn btn-secondary">Limpiar</a>
            </div>
        </div>
    </form>

    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th>Nombre</th>
                <th>Ubicación</th>
                <th>Regional</th>
                <th>Estado</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($iglesia->nombre); ?></td>
                <td><?php echo e($iglesia->ubicacion); ?></td>
                <td><?php echo e($iglesia->regional->nombre); ?></td>
                <td><?php echo e($iglesia->estado ? 'Activo' : 'Inactivo'); ?></td>
                <td>
                    <a href="<?php echo e(route('iglesias.edit', $iglesia->id)); ?>" class="btn btn-warning">Editar</a>
                    <form action="<?php echo e(route('iglesias.destroy', $iglesia->id)); ?>" method="POST" style="display:inline;">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="btn btn-danger"><?php echo e($iglesia->estado ? 'Desactivar' : 'Activar'); ?></button>
                    </form>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <?php echo e($iglesias->links()); ?>

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/iglesias/index.blade.php ENDPATH**/ ?>