<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Reporte - Certificados por Iglesia</title>
    <style>
        /* Estilos generales */
        body { font-family: Arial, sans-serif; margin: 0; padding: 0; font-size: 12px; }
        h3 { color: #2F4F4F; text-align: center; margin-bottom: 20px; }
        .report-header { text-align: right; font-size: 12px; margin-bottom: 10px; }
        .report-container { width: 100%; margin: 0 auto; padding: 20px; border: 1px solid #ddd; background-color: #f9f9f9; }
        .report-table { width: 100%; border-collapse: collapse; margin-top: 20px; }
        .report-table th, .report-table td { border: 1px solid #ccc; padding: 8px; text-align: left; }
        .report-table th { background-color: #2F4F4F; color: white; }
        .report-footer { text-align: center; font-size: 10px; margin-top: 20px; color: #888; }
    </style>
</head>
<body>

<div class="report-container">
    <!-- Cabecera del reporte -->
    <div class="report-header">
        Fecha y Hora del Reporte: <?php echo e(\Carbon\Carbon::now()->subHours(4)->format('d/m/Y H:i:s')); ?>

    </div>

    <!-- Título principal -->
    <h3>Certificados Emitidos por Iglesia</h3>

    <!-- Tabla de certificados por iglesia -->
    <table class="report-table">
        <thead>
            <tr>
                <th>Iglesia</th>
                <th>Total Emitido</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $data['certificadosPorIglesia']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($certificado->iglesia_nombre); ?></td>
                    <td><?php echo e($certificado->total); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <!-- Pie de página del reporte -->
    <div class="report-footer">
        Reporte generado automáticamente por el sistema.
    </div>
</div>

</body>
</html>
<?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/reportes/pdf_certificados_por_iglesia.blade.php ENDPATH**/ ?>