

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center text-primary mb-4">Panel de Reportes de Certificados y Pagos</h3>

    <!-- Resumen de reportes con enlaces a vistas detalladas -->
    <div class="row">
        <!-- Definición de tamaño uniforme para las tarjetas -->
        <style>
            .card-uniform {
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
            }
            .card-content {
                flex-grow: 1;
            }
        </style>

        <!-- Total de Certificados Emitidos por Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-info card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-info"><i class="fas fa-file-alt"></i> Total de Certificados Emitidos</h5>
                    <p class="card-text display-4 text-info"><?php echo e($totalCertificados); ?></p>
                </div>
                <a href="<?php echo e(route('reportes.total_certificados')); ?>" class="btn btn-outline-info btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Certificados Emitidos por Tipo, Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-success card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-success"><i class="fas fa-layer-group"></i> Certificados por Tipo</h5>
                    <ul class="list-unstyled mb-3">
                        <?php $__currentLoopData = $certificadosPorTipo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><strong><?php echo e(ucfirst($item->tipo)); ?>:</strong> <?php echo e($item->total); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <a href="<?php echo e(route('reportes.certificados_por_tipo')); ?>" class="btn btn-outline-success btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Pagos Realizados por Certificado, Iglesia y Regional -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-warning card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-warning"><i class="fas fa-money-check-alt"></i> Pagos Realizados</h5>
                    <ul class="list-unstyled mb-3">
                        <?php $__currentLoopData = $pagosPorIglesia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($pago->certificado->iglesia->nombre); ?> - <strong><?php echo e($pago->total); ?> Bs</strong></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <a href="<?php echo e(route('reportes.pagos_por_iglesia')); ?>" class="btn btn-outline-warning btn-sm">Ver Detalle</a>
            </div>
        </div>

        <!-- Nueva Tarjeta para el Reporte Detallado de Certificados -->
        <div class="col-md-3 mb-4">
            <div class="card shadow-sm border-primary card-uniform">
                <div class="card-body text-center card-content">
                    <h5 class="card-title text-primary"><i class="fas fa-search"></i> Reporte Detallado</h5>
                    <p class="card-text">Consulta certificados emitidos con detalle de fechas y estado de pago.</p>
                </div>
                <a href="<?php echo e(route('reportes.certificados_detallados')); ?>" class="btn btn-outline-primary btn-sm">Ver Detalle</a>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/reportes/index.blade.php ENDPATH**/ ?>